#region Copyright Syncfusion Inc. 2001 - 2006
//
//  Copyright Syncfusion Inc. 2001 - 2006. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Collections.Specialized ;
using System.Diagnostics;

using System.IO;

using Syncfusion.Windows.Forms.Tools;
using Syncfusion.Windows.Forms.Tools.XPMenus;
using System.Runtime.InteropServices;

using Syncfusion.Windows.Forms.Tools.Renderers;
using Syncfusion.Windows.Forms;
using System.Drawing.Drawing2D;

namespace VSDemo
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class VSMainForm : System.Windows.Forms.Form, IEditorMainFrame
	{
		private Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager mainFrameBarManager1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem newParentItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem2;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem3;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem3;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem4;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ListBarItem listBarItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem windowItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem6;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem7;
		private TabbedMDIManager tabbedMDIManager;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem newCSFileItem;
		private bool tabWindowsOn = false;
		private Syncfusion.Windows.Forms.Tools.XPMenus.MdiListBarItem mdiListBarItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem closeAllItem;
		public  MDIChildEditorsManager editorsManager;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem newVBFile;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem saveItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem closeItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem4;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem5;
		private System.Windows.Forms.ImageList largeImageList;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem customizeItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem newHorzGroupItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem7;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem8;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem newVertTabGroup;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem movePrevTabGroupItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem moveNextTabGroupItem;
		private Syncfusion.Windows.Forms.Tools.DockingManager dockingManager1;
		private System.Windows.Forms.Panel dwSolution;
		private System.Windows.Forms.Panel dwProperties;
		private System.Windows.Forms.ComboBox cbProperties;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem6;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem9;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem10;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem11;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem12;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem13;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem14;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem16;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem17;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem19;
		private System.Windows.Forms.PropertyGrid propertyGrid1;
		private System.Windows.Forms.TextBox dwFindResults1;
		private System.Windows.Forms.TextBox dwFindResults2;
		private System.Windows.Forms.Panel dwOutput;
		private System.Windows.Forms.ComboBox comboBox1;
		private System.Windows.Forms.TextBox txtOutput;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem20;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem21;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem22;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem23;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem24;
		private System.Windows.Forms.Panel pnlSolnToolbar;
		private System.Windows.Forms.Panel pnlPropToolbar;
		private Syncfusion.Windows.Forms.Tools.GroupBar dwToolbox;
		private Syncfusion.Windows.Forms.Tools.GroupBarItem gbiComponents;
		private Syncfusion.Windows.Forms.Tools.GroupBarItem gbiWindowsForms;
		private Syncfusion.Windows.Forms.Tools.GroupBarItem gbiGeneral;
		private Syncfusion.Windows.Forms.Tools.GroupView gvcComponents;
		private Syncfusion.Windows.Forms.Tools.GroupView gvcWindowsForms;
		private Syncfusion.Windows.Forms.Tools.GroupView gvcGeneral;
		private System.Windows.Forms.ColumnHeader columnHeader1;
		private System.Windows.Forms.ColumnHeader columnHeader2;
		private System.Windows.Forms.ColumnHeader columnHeader3;
		private Syncfusion.Windows.Forms.Tools.XPMenus.XPToolBar bcSolution;
		private Syncfusion.Windows.Forms.Tools.XPMenus.XPToolBar bcProperties;
		private System.Windows.Forms.Panel dwClassView;
		private Syncfusion.Windows.Forms.Tools.XPMenus.XPToolBar bcClassView;
		private System.Windows.Forms.Panel pnlClassViewToolbar;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem15;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem18;
		private System.Windows.Forms.Panel dwObjectBrowser;
		private System.Windows.Forms.Panel pnlObjBrowserToolbar;
		private System.Windows.Forms.Panel pnlObjBrowserMain;
		private System.Windows.Forms.Splitter splitter1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.XPToolBar bcObjectBrowser;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem29;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem30;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem31;
		private System.Windows.Forms.Panel pnlObjects;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Panel pnlMembers;
		private System.Windows.Forms.LinkLabel llObjBrowserBottom;
		private Syncfusion.Windows.Forms.Tools.GroupBarItem gbiSyncfusion;
		private Syncfusion.Windows.Forms.Tools.GroupView gvcSyncfusion;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.TreeView tvSolutionExp;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem32;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem33;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem34;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem35;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem36;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem37;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem38;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem39;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem40;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem5;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem8;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ComboBoxBarItem comboBoxBarItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem9;
		private System.Windows.Forms.ImageList dockingImageList;
		private System.Windows.Forms.ImageList smallImageList1;
		private System.Windows.Forms.TreeView tvClassView;
		private System.Windows.Forms.TreeView tvObjBrowsMembers;
		private System.Windows.Forms.TreeView tvObjBrowsObjects;
		private System.Windows.Forms.Splitter spObjBrowMain;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem openBarItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem windowCascade;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem windowTabbedMDI;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem newImageFileItem;
		private System.ComponentModel.IContainer components;

		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem sortAlphRight, sortByMemberType, sortByMemberAccess;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem pbi91;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem pbi92;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem pbi93;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem sortAlphLeft;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem soryByObjectType;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem sortByObjectAccess;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem groupByObjectType;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar bar1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar bar2;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar fullScreenBar;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem fullScreenBarItem;
		private Syncfusion.Windows.Forms.Tools.XPMenus.PopupMenu popupMenu1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem25;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem26;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem27;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem28;
		private Syncfusion.Windows.Forms.Tools.XPMenus.PopupMenusManager popupMenusManager1;
		private System.Windows.Forms.ListView dwTaskListView;
		private System.Windows.Forms.Panel dwTaskList;
		private System.Windows.Forms.ImageList imageList1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.XPToolBar xpToolBar1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem41;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem42;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem43;
		//private StartPage sp;
		private HTMLUIForm sp;
	
		public Syncfusion.Windows.Forms.Tools.XPMenus.BarManager BarManager
		{
			get{return this.mainFrameBarManager1;}
		}

		#region IEditorMainFrame_Imp
		Syncfusion.Windows.Forms.Tools.XPMenus.ListBarItem IEditorMainFrame.MostRecentlyUsedFilesListItem
		{
			get{return this.listBarItem1;}
		}

		Syncfusion.Windows.Forms.Tools.XPMenus.BarItem IEditorMainFrame.OpenFilesBarItem
		{
			get{return this.openBarItem;}
		}
		#endregion IEditorMainFrame_Imp


        [System.Runtime.InteropServices.DllImportAttribute("user32.dll")]
        private static extern bool LockWindowUpdate(Int64 windowHandle); 

		public VSMainForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			this.dwToolbox.Font = SystemInformation.MenuFont;

			// Initialize the newParentItem
			this.newParentItem.Tag = this.newCSFileItem;


			this.tabbedMDIManager = new TabbedMDIManager();
			this.tabbedMDIManager.UseIconsInTabs=false;
			this.tabbedMDIManager.TabControlAdded+=new TabbedMDITabControlEventHandler(tabbedMDIManager_TabControlAdded);
			this.tabbedMDIManager.AttachToMdiContainer(this);

			this.editorsManager = new MDIChildEditorsManager(this, 4, 
				"CSharp Files(*.cs)|*.cs|VB Files(*.vb)|*.vb|Image Files(*.ico; *.bmp; *.jpg; *.gif)|*.ico; *.bmp; *.jpg; *.gif", "VSDemo File Selection Dialog");

			this.tvSolutionExp.ExpandAll();
			this.tvObjBrowsMembers.ExpandAll();
			this.tvClassView.ExpandAll();
			
			this.InitBarControls();

			// Register child types with MainFrameBarManager.
			this.mainFrameBarManager1.RegisterMdiChildTypes(new Type[]{typeof(EditorBase),
																		  typeof(ImageEditorForm)}
				);
            this.FormClosing += new FormClosingEventHandler(VSMainForm_FormClosing);
		}

       private void VSMainForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            LockWindowUpdate(this.Handle.ToInt64());
        }

		#region BARCONTROLS
		private void InitBarControls()
		{
			this.sortAlphLeft = new BarItem();
			this.sortAlphLeft.Text = "Sort Alphabetically";
			this.sortAlphLeft.ImageIndex = 26;
			this.sortAlphLeft.ImageList = this.dockingImageList;
			this.sortAlphLeft.Click += new EventHandler(this.sortAlphLeft_Click);
			
			this.sortAlphRight = new BarItem();
			this.sortAlphRight.Text = "Sort Alphabetically";
			this.sortAlphRight.ImageIndex = 26;
			this.sortAlphRight.ImageList = this.dockingImageList;
			this.sortAlphRight.Click += new EventHandler(this.sortAlphRight_Click);

			this.soryByObjectType = new BarItem();
			this.soryByObjectType.Text = "Sort By Object Type";
			this.soryByObjectType.ImageIndex = 36;
			this.soryByObjectType.ImageList = this.dockingImageList;
			this.soryByObjectType.Click += new EventHandler(this.soryByObjectType_Click);

			this.sortByObjectAccess = new BarItem();
			this.sortByObjectAccess.Text = "Sort By Object Access";
			this.sortByObjectAccess.ImageIndex = 78;
			this.sortByObjectAccess.ImageList = this.dockingImageList;
			this.sortByObjectAccess.Click += new EventHandler(this.sortByObjectAccess_Click);

			this.groupByObjectType = new BarItem();
			this.groupByObjectType.Text = "Group By Object Type";
			this.groupByObjectType.ImageIndex = 77;
			this.groupByObjectType.ImageList = this.dockingImageList;
			this.groupByObjectType.Click += new EventHandler(this.groupByObjectType_Click);

			this.sortByMemberType = new BarItem();
			this.sortByMemberType.Text = "Sort By Member Type";
			this.sortByMemberType.ImageIndex = 36;
			this.sortByMemberType.ImageList = this.dockingImageList;
			this.sortByMemberType.Click += new EventHandler(this.sortByMemberType_Click);

			this.sortByMemberAccess = new BarItem();
			this.sortByMemberAccess.Text = "Sort By Member Access";
			this.sortByMemberAccess.ImageIndex = 78;
			this.sortByMemberAccess.ImageList = this.dockingImageList;
			this.sortByMemberAccess.Click += new EventHandler(this.sortByMemberAccess_Click);

			this.parentBarItem8.Items.AddRange(new BarItem[] {this.sortAlphLeft, this.soryByObjectType, this.sortByObjectAccess, this.groupByObjectType});
			this.parentBarItem9.Items.AddRange(new BarItem[] {this.sortAlphRight, this.sortByMemberType, this.sortByMemberAccess});

			this.parentBarItem8.Tag = this.sortAlphLeft;
			this.parentBarItem8.ImageIndex = this.sortAlphLeft.ImageIndex;

			this.parentBarItem9.Tag = this.sortAlphRight;
			this.parentBarItem9.ImageIndex = this.sortAlphRight.ImageIndex;
		}
		private void sortAlphLeft_Click(object sender, System.EventArgs e)
		{
			// Application Logic goes here
			this.parentBarItem8.Tag = this.sortAlphLeft;
			this.parentBarItem8.ImageIndex = this.sortAlphLeft.ImageIndex;
		}
		private void sortAlphRight_Click(object sender, System.EventArgs e)
		{
			// Application Logic goes here
			this.parentBarItem9.Tag = this.sortAlphRight;
			this.parentBarItem9.ImageIndex = this.sortAlphRight.ImageIndex;
		}
		private void soryByObjectType_Click(object sender, System.EventArgs e)
		{
			// Application Logic goes here
			this.parentBarItem8.Tag = this.soryByObjectType;
			this.parentBarItem8.ImageIndex = this.soryByObjectType.ImageIndex;
		}
		private void groupByObjectType_Click(object sender, System.EventArgs e)
		{
			// Application Logic goes here
			this.parentBarItem8.Tag = this.groupByObjectType;
			this.parentBarItem8.ImageIndex = this.groupByObjectType.ImageIndex;
		}
		private void sortByObjectAccess_Click(object sender, System.EventArgs e)
		{
			// Application Logic goes here
			this.parentBarItem8.Tag = this.sortByObjectAccess;
			this.parentBarItem8.ImageIndex = this.sortByObjectAccess.ImageIndex;
		}
		private void sortByMemberType_Click(object sender, System.EventArgs e)
		{
			// Application Logic goes here
			this.parentBarItem9.Tag = this.sortByMemberType;
			this.parentBarItem9.ImageIndex = this.sortByMemberType.ImageIndex;
		}
		private void sortByMemberAccess_Click(object sender, System.EventArgs e)
		{
			// Application Logic goes here
			this.parentBarItem9.Tag = this.sortByMemberAccess;
			this.parentBarItem9.ImageIndex = this.sortByMemberAccess.ImageIndex;
		}
		private void parentBarItem8_Click(object sender, System.EventArgs e)
		{
			BarItem currentChild = this.parentBarItem8.Tag as BarItem;
			currentChild.PerformClick();
		}

		private void parentBarItem9_Click(object sender, System.EventArgs e)
		{
			BarItem currentChild = this.parentBarItem9.Tag as BarItem;
			currentChild.PerformClick();
		}
		#endregion BARCONTROLS
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}


		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            System.Windows.Forms.TreeNode treeNode1 = new System.Windows.Forms.TreeNode("Solution \'WindowsApplication1\' (1 Project)", 31, 31);
            System.Windows.Forms.TreeNode treeNode2 = new System.Windows.Forms.TreeNode("System", 67, 67);
            System.Windows.Forms.TreeNode treeNode3 = new System.Windows.Forms.TreeNode("System.Data", 67, 67);
            System.Windows.Forms.TreeNode treeNode4 = new System.Windows.Forms.TreeNode("System.Windows.Forms", 67, 67);
            System.Windows.Forms.TreeNode treeNode5 = new System.Windows.Forms.TreeNode("References", 62, 62, new System.Windows.Forms.TreeNode[] {
            treeNode2,
            treeNode3,
            treeNode4});
            System.Windows.Forms.TreeNode treeNode6 = new System.Windows.Forms.TreeNode("App.ico", 64, 64);
            System.Windows.Forms.TreeNode treeNode7 = new System.Windows.Forms.TreeNode("AssemblyInfo.cs", 63, 63);
            System.Windows.Forms.TreeNode treeNode8 = new System.Windows.Forms.TreeNode("Document1.cs", 63, 63);
            System.Windows.Forms.TreeNode treeNode9 = new System.Windows.Forms.TreeNode("Document2.cs", 63, 63);
            System.Windows.Forms.TreeNode treeNode10 = new System.Windows.Forms.TreeNode("Form1.cs", 65, 65);
            System.Windows.Forms.TreeNode treeNode11 = new System.Windows.Forms.TreeNode("Form2.cs", 65, 65);
            System.Windows.Forms.TreeNode treeNode12 = new System.Windows.Forms.TreeNode("WindowsApplication.resources", 66, 66);
            System.Windows.Forms.TreeNode treeNode13 = new System.Windows.Forms.TreeNode("WindowsApplication", 61, 61, new System.Windows.Forms.TreeNode[] {
            treeNode5,
            treeNode6,
            treeNode7,
            treeNode8,
            treeNode9,
            treeNode10,
            treeNode11,
            treeNode12});
            System.Windows.Forms.TreeNode treeNode14 = new System.Windows.Forms.TreeNode("MainForm()", 72, 72);
            System.Windows.Forms.TreeNode treeNode15 = new System.Windows.Forms.TreeNode("Dispose(bool)", 70, 71);
            System.Windows.Forms.TreeNode treeNode16 = new System.Windows.Forms.TreeNode("InitializeComponent()", 70, 70);
            System.Windows.Forms.TreeNode treeNode17 = new System.Windows.Forms.TreeNode("components", 73, 73);
            System.Windows.Forms.TreeNode treeNode18 = new System.Windows.Forms.TreeNode("MainForm", 69, 69, new System.Windows.Forms.TreeNode[] {
            treeNode14,
            treeNode15,
            treeNode16,
            treeNode17});
            System.Windows.Forms.TreeNode treeNode19 = new System.Windows.Forms.TreeNode("ChildForm1()", 72, 72);
            System.Windows.Forms.TreeNode treeNode20 = new System.Windows.Forms.TreeNode("Dispose(bool)", 71, 71);
            System.Windows.Forms.TreeNode treeNode21 = new System.Windows.Forms.TreeNode("InitializeComponent()", 70, 70);
            System.Windows.Forms.TreeNode treeNode22 = new System.Windows.Forms.TreeNode("ChildForm1", 69, 69, new System.Windows.Forms.TreeNode[] {
            treeNode19,
            treeNode20,
            treeNode21});
            System.Windows.Forms.TreeNode treeNode23 = new System.Windows.Forms.TreeNode("ChildForm2", 69, 69);
            System.Windows.Forms.TreeNode treeNode24 = new System.Windows.Forms.TreeNode("IWinInterfaces", 76, 76);
            System.Windows.Forms.TreeNode treeNode25 = new System.Windows.Forms.TreeNode("WindowsApplication", 68, 68, new System.Windows.Forms.TreeNode[] {
            treeNode18,
            treeNode22,
            treeNode23,
            treeNode24});
            System.Windows.Forms.TreeNode treeNode26 = new System.Windows.Forms.TreeNode("WindowsApplication1", 61, 61, new System.Windows.Forms.TreeNode[] {
            treeNode25});
            System.Windows.Forms.TreeNode treeNode27 = new System.Windows.Forms.TreeNode("CreateNewControl(System.Windows.Forms.Control,int,int)", 70, 70);
            System.Windows.Forms.TreeNode treeNode28 = new System.Windows.Forms.TreeNode("Dispose(bool)", 70, 70);
            System.Windows.Forms.TreeNode treeNode29 = new System.Windows.Forms.TreeNode("GetFirstVisibleLine()", 72, 72);
            System.Windows.Forms.TreeNode treeNode30 = new System.Windows.Forms.TreeNode("GetLineCount()", 72, 72);
            System.Windows.Forms.TreeNode treeNode31 = new System.Windows.Forms.TreeNode("GetLineFromChar()", 72, 72);
            System.Windows.Forms.TreeNode treeNode32 = new System.Windows.Forms.TreeNode("GetScrollPos()", 71, 71);
            System.Windows.Forms.TreeNode treeNode33 = new System.Windows.Forms.TreeNode("ShouldSerializeDock()", 71, 71);
            System.Windows.Forms.TreeNode treeNode34 = new System.Windows.Forms.TreeNode("LineCount", 73, 73);
            System.Windows.Forms.TreeNode treeNode35 = new System.Windows.Forms.TreeNode("NewLineCount", 73, 73);
            System.Windows.Forms.TreeNode treeNode36 = new System.Windows.Forms.TreeNode("Format", 75, 75);
            System.Windows.Forms.TreeNode treeNode37 = new System.Windows.Forms.TreeNode("Microsoft", 68, 68);
            System.Windows.Forms.TreeNode treeNode38 = new System.Windows.Forms.TreeNode("Microsoft.Win32", 68, 68);
            System.Windows.Forms.TreeNode treeNode39 = new System.Windows.Forms.TreeNode("System", 68, 68);
            System.Windows.Forms.TreeNode treeNode40 = new System.Windows.Forms.TreeNode("System.Collections", 68, 68);
            System.Windows.Forms.TreeNode treeNode41 = new System.Windows.Forms.TreeNode("System.Configuration", 68, 68);
            System.Windows.Forms.TreeNode treeNode42 = new System.Windows.Forms.TreeNode("System.Configuration.Assemblies", 68, 68);
            System.Windows.Forms.TreeNode treeNode43 = new System.Windows.Forms.TreeNode("mscorlib", 67, 67, new System.Windows.Forms.TreeNode[] {
            treeNode37,
            treeNode38,
            treeNode39,
            treeNode40,
            treeNode41,
            treeNode42});
            System.Windows.Forms.TreeNode treeNode44 = new System.Windows.Forms.TreeNode("Syncfusion", 68, 68);
            System.Windows.Forms.TreeNode treeNode45 = new System.Windows.Forms.TreeNode("Syncfusion.Windows", 68, 68);
            System.Windows.Forms.TreeNode treeNode46 = new System.Windows.Forms.TreeNode("Syncfusion.Windows.Forms", 68, 68);
            System.Windows.Forms.TreeNode treeNode47 = new System.Windows.Forms.TreeNode("Syncfusion.Windows.Forms.Grid", 68, 68);
            System.Windows.Forms.TreeNode treeNode48 = new System.Windows.Forms.TreeNode("Syncfusion.Grid", 67, 67, new System.Windows.Forms.TreeNode[] {
            treeNode44,
            treeNode45,
            treeNode46,
            treeNode47});
            System.Windows.Forms.TreeNode treeNode49 = new System.Windows.Forms.TreeNode("Syncfusion", 68, 69);
            System.Windows.Forms.TreeNode treeNode50 = new System.Windows.Forms.TreeNode("Syncfusion.Collections", 68, 68);
            System.Windows.Forms.TreeNode treeNode51 = new System.Windows.Forms.TreeNode("Syncfusion.ComponentModel", 68, 68);
            System.Windows.Forms.TreeNode treeNode52 = new System.Windows.Forms.TreeNode("Syncfusion.Shared", 67, 67, new System.Windows.Forms.TreeNode[] {
            treeNode49,
            treeNode50,
            treeNode51});
            System.Windows.Forms.TreeNode treeNode53 = new System.Windows.Forms.TreeNode("Syncfusion", 68, 68);
            System.Windows.Forms.TreeNode treeNode54 = new System.Windows.Forms.TreeNode("Syncfusion.Runtime", 68, 68);
            System.Windows.Forms.TreeNode treeNode55 = new System.Windows.Forms.TreeNode("Syncfusion.Runtime.InteropServices", 68, 68);
            System.Windows.Forms.TreeNode treeNode56 = new System.Windows.Forms.TreeNode("Syncfusion.Windows", 68, 68);
            System.Windows.Forms.TreeNode treeNode57 = new System.Windows.Forms.TreeNode("Syncfusion.Windows.Forms", 68, 68);
            System.Windows.Forms.TreeNode treeNode58 = new System.Windows.Forms.TreeNode("Syncfusion.Tools", 67, 67, new System.Windows.Forms.TreeNode[] {
            treeNode53,
            treeNode54,
            treeNode55,
            treeNode56,
            treeNode57});
            System.Windows.Forms.TreeNode treeNode59 = new System.Windows.Forms.TreeNode("system.Data", 67, 67);
            System.Windows.Forms.TreeNode treeNode60 = new System.Windows.Forms.TreeNode("system.Design", 67, 67);
            System.Windows.Forms.TreeNode treeNode61 = new System.Windows.Forms.TreeNode("system", 67, 67);
            System.Windows.Forms.TreeNode treeNode62 = new System.Windows.Forms.TreeNode("System", 68, 68);
            System.Windows.Forms.TreeNode treeNode63 = new System.Windows.Forms.TreeNode("System.Drawing", 68, 68);
            System.Windows.Forms.TreeNode treeNode64 = new System.Windows.Forms.TreeNode("system.drawing", 67, 67, new System.Windows.Forms.TreeNode[] {
            treeNode62,
            treeNode63});
            System.Windows.Forms.ListViewItem listViewItem1 = new System.Windows.Forms.ListViewItem(new string[] {
            "1",
            "",
            "TODO: Add any constructor code after InitializeComponent call"}, -1, System.Drawing.SystemColors.WindowText, System.Drawing.SystemColors.Window, new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0))));
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(VSMainForm));
            this.mainFrameBarManager1 = new Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager(this);
            this.bar1 = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.mainFrameBarManager1, "MainMenu");
            this.parentBarItem3 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.newParentItem = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.newCSFileItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.newVBFile = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.newImageFileItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.openBarItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.closeItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.saveItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem2 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem4 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.listBarItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.ListBarItem();
            this.barItem3 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem5 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barItem32 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.dockingImageList = new System.Windows.Forms.ImageList(this.components);
            this.barItem33 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem34 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem35 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem36 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem37 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem40 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem38 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem39 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.fullScreenBarItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem7 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem4 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.customizeItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.windowItem = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.windowCascade = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.windowTabbedMDI = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.newHorzGroupItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.newVertTabGroup = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.movePrevTabGroupItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.moveNextTabGroupItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.closeAllItem = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.mdiListBarItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.MdiListBarItem();
            this.parentBarItem6 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barItem5 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.bar2 = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.mainFrameBarManager1, "File");
            this.fullScreenBar = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.mainFrameBarManager1, "FullScreen");
            this.smallImageList1 = new System.Windows.Forms.ImageList(this.components);
            this.largeImageList = new System.Windows.Forms.ImageList(this.components);
            this.barItem7 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem8 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.dockingManager1 = new Syncfusion.Windows.Forms.Tools.DockingManager(this.components);
            this.dwSolution = new System.Windows.Forms.Panel();
            this.tvSolutionExp = new System.Windows.Forms.TreeView();
            this.pnlSolnToolbar = new System.Windows.Forms.Panel();
            this.bcSolution = new Syncfusion.Windows.Forms.Tools.XPMenus.XPToolBar();
            this.barItem13 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem14 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem16 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem17 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem19 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.dwFindResults1 = new System.Windows.Forms.TextBox();
            this.dwFindResults2 = new System.Windows.Forms.TextBox();
            this.dwOutput = new System.Windows.Forms.Panel();
            this.txtOutput = new System.Windows.Forms.TextBox();
            this.comboBox1 = new System.Windows.Forms.ComboBox();
            this.dwToolbox = new Syncfusion.Windows.Forms.Tools.GroupBar();
            this.gvcSyncfusion = new Syncfusion.Windows.Forms.Tools.GroupView();
            this.gvcComponents = new Syncfusion.Windows.Forms.Tools.GroupView();
            this.gvcWindowsForms = new Syncfusion.Windows.Forms.Tools.GroupView();
            this.gvcGeneral = new Syncfusion.Windows.Forms.Tools.GroupView();
            this.gbiComponents = new Syncfusion.Windows.Forms.Tools.GroupBarItem();
            this.gbiWindowsForms = new Syncfusion.Windows.Forms.Tools.GroupBarItem();
            this.gbiGeneral = new Syncfusion.Windows.Forms.Tools.GroupBarItem();
            this.gbiSyncfusion = new Syncfusion.Windows.Forms.Tools.GroupBarItem();
            this.dwClassView = new System.Windows.Forms.Panel();
            this.tvClassView = new System.Windows.Forms.TreeView();
            this.pnlClassViewToolbar = new System.Windows.Forms.Panel();
            this.bcClassView = new Syncfusion.Windows.Forms.Tools.XPMenus.XPToolBar();
            this.barItem15 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem18 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.dwObjectBrowser = new System.Windows.Forms.Panel();
            this.splitter1 = new System.Windows.Forms.Splitter();
            this.llObjBrowserBottom = new System.Windows.Forms.LinkLabel();
            this.pnlObjBrowserMain = new System.Windows.Forms.Panel();
            this.spObjBrowMain = new System.Windows.Forms.Splitter();
            this.pnlMembers = new System.Windows.Forms.Panel();
            this.tvObjBrowsMembers = new System.Windows.Forms.TreeView();
            this.label2 = new System.Windows.Forms.Label();
            this.pnlObjects = new System.Windows.Forms.Panel();
            this.tvObjBrowsObjects = new System.Windows.Forms.TreeView();
            this.label1 = new System.Windows.Forms.Label();
            this.pnlObjBrowserToolbar = new System.Windows.Forms.Panel();
            this.bcObjectBrowser = new Syncfusion.Windows.Forms.Tools.XPMenus.XPToolBar();
            this.comboBoxBarItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.ComboBoxBarItem();
            this.parentBarItem8 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.sortAlphLeft = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.soryByObjectType = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.sortByObjectAccess = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.groupByObjectType = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem9 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.pbi91 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.pbi92 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.pbi93 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem29 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem30 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem31 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.dwProperties = new System.Windows.Forms.Panel();
            this.propertyGrid1 = new System.Windows.Forms.PropertyGrid();
            this.pnlPropToolbar = new System.Windows.Forms.Panel();
            this.bcProperties = new Syncfusion.Windows.Forms.Tools.XPMenus.XPToolBar();
            this.barItem20 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem21 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem22 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem23 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem24 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.cbProperties = new System.Windows.Forms.ComboBox();
            this.dwTaskList = new System.Windows.Forms.Panel();
            this.xpToolBar1 = new Syncfusion.Windows.Forms.Tools.XPMenus.XPToolBar();
            this.barItem41 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.imageList1 = new System.Windows.Forms.ImageList(this.components);
            this.barItem42 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem43 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.dwTaskListView = new System.Windows.Forms.ListView();
            this.columnHeader1 = new System.Windows.Forms.ColumnHeader();
            this.columnHeader2 = new System.Windows.Forms.ColumnHeader();
            this.columnHeader3 = new System.Windows.Forms.ColumnHeader();
            this.barItem6 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem9 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem10 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem11 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem12 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.mainMenu1 = new System.Windows.Forms.MainMenu(this.components);
            this.popupMenu1 = new Syncfusion.Windows.Forms.Tools.XPMenus.PopupMenu(this.components);
            this.parentBarItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barItem25 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem26 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem27 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem28 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.popupMenusManager1 = new Syncfusion.Windows.Forms.Tools.XPMenus.PopupMenusManager(this.components);
            ((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.dockingManager1)).BeginInit();
            this.dwSolution.SuspendLayout();
            this.pnlSolnToolbar.SuspendLayout();
            this.dwOutput.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.dwToolbox)).BeginInit();
            this.dwToolbox.SuspendLayout();
            this.dwClassView.SuspendLayout();
            this.pnlClassViewToolbar.SuspendLayout();
            this.dwObjectBrowser.SuspendLayout();
            this.pnlObjBrowserMain.SuspendLayout();
            this.pnlMembers.SuspendLayout();
            this.pnlObjects.SuspendLayout();
            this.pnlObjBrowserToolbar.SuspendLayout();
            this.dwProperties.SuspendLayout();
            this.pnlPropToolbar.SuspendLayout();
            this.dwTaskList.SuspendLayout();
            this.SuspendLayout();
            // 
            // mainFrameBarManager1
            // 
            this.mainFrameBarManager1.BarPositionInfo = ((System.IO.MemoryStream)(resources.GetObject("mainFrameBarManager1.BarPositionInfo")));
            this.mainFrameBarManager1.Bars.Add(this.bar1);
            this.mainFrameBarManager1.Bars.Add(this.bar2);
            this.mainFrameBarManager1.Bars.Add(this.fullScreenBar);
            this.mainFrameBarManager1.Categories.Add("File");
            this.mainFrameBarManager1.Categories.Add("New");
            this.mainFrameBarManager1.Categories.Add("View");
            this.mainFrameBarManager1.Categories.Add("Window");
            this.mainFrameBarManager1.Categories.Add("RecentFiles");
            this.mainFrameBarManager1.Categories.Add("Help");
            this.mainFrameBarManager1.Categories.Add("Tools");
            this.mainFrameBarManager1.Categories.Add("FullScreen");
            this.mainFrameBarManager1.CurrentBaseFormType = "System.Windows.Forms.Form";
            this.mainFrameBarManager1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.mainFrameBarManager1.Form = this;
            this.mainFrameBarManager1.ImageList = this.smallImageList1;
            this.mainFrameBarManager1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.windowItem,
            this.parentBarItem5,
            this.closeAllItem,
            this.mdiListBarItem1,
            this.newHorzGroupItem,
            this.parentBarItem3,
            this.newVertTabGroup,
            this.movePrevTabGroupItem,
            this.barItem32,
            this.moveNextTabGroupItem,
            this.windowCascade,
            this.barItem33,
            this.windowTabbedMDI,
            this.barItem34,
            this.newCSFileItem,
            this.barItem35,
            this.barItem36,
            this.newParentItem,
            this.barItem37,
            this.barItem38,
            this.openBarItem,
            this.barItem39,
            this.barItem40,
            this.closeItem,
            this.saveItem,
            this.newVBFile,
            this.barItem2,
            this.parentBarItem4,
            this.barItem3,
            this.newImageFileItem,
            this.parentBarItem7,
            this.parentBarItem6,
            this.listBarItem1,
            this.barItem1,
            this.barItem4,
            this.barItem5,
            this.customizeItem,
            this.fullScreenBarItem});
            this.mainFrameBarManager1.LargeImageList = this.largeImageList;
            this.mainFrameBarManager1.ResetCustomization = false;
            this.mainFrameBarManager1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            // 
            // bar1
            // 
            this.bar1.BarName = "MainMenu";
            this.bar1.BarStyle = ((Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle)(((Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.AllowQuickCustomizing | Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.IsMainMenu)
                        | Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.Visible)));
            this.bar1.Caption = "MainMenu";
            this.bar1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.parentBarItem3,
            this.parentBarItem5,
            this.parentBarItem7,
            this.windowItem,
            this.parentBarItem6});
            this.bar1.Manager = this.mainFrameBarManager1;
            // 
            // parentBarItem3
            // 
            this.parentBarItem3.CategoryIndex = 0;
            this.parentBarItem3.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.parentBarItem3.ID = "&File";
            this.parentBarItem3.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.newParentItem,
            this.openBarItem,
            this.closeItem,
            this.saveItem,
            this.barItem2,
            this.parentBarItem4,
            this.barItem3});
            this.parentBarItem3.MergeOrder = 5;
            this.parentBarItem3.SeparatorIndices.AddRange(new int[] {
            3,
            6});
            this.parentBarItem3.Text = "&File";
            // 
            // newParentItem
            // 
            this.newParentItem.CategoryIndex = 0;
            this.newParentItem.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.newParentItem.ID = "&New";
            this.newParentItem.ImageIndex = 6;
            this.newParentItem.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.newCSFileItem,
            this.newVBFile,
            this.newImageFileItem});
            this.newParentItem.ParentStyle = Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItemStyle.DropDown;
            this.newParentItem.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.newParentItem.Text = "&New";
            this.newParentItem.Click += new System.EventHandler(this.newParentItem_Click);
            // 
            // newCSFileItem
            // 
            this.newCSFileItem.CategoryIndex = 1;
            this.newCSFileItem.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.newCSFileItem.ID = "&CSharp File";
            this.newCSFileItem.ImageIndex = 9;
            this.newCSFileItem.Shortcut = System.Windows.Forms.Shortcut.Ctrl1;
            this.newCSFileItem.Text = "&CSharp File";
            this.newCSFileItem.Click += new System.EventHandler(this.newCSFileItem_Click);
            // 
            // newVBFile
            // 
            this.newVBFile.CategoryIndex = 1;
            this.newVBFile.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.newVBFile.ID = "&VB File";
            this.newVBFile.ImageIndex = 10;
            this.newVBFile.Shortcut = System.Windows.Forms.Shortcut.Ctrl2;
            this.newVBFile.Text = "&VB File";
            this.newVBFile.Click += new System.EventHandler(this.newVBFile_Click);
            // 
            // newImageFileItem
            // 
            this.newImageFileItem.CategoryIndex = 1;
            this.newImageFileItem.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.newImageFileItem.ID = "&Image File";
            this.newImageFileItem.ImageIndex = 11;
            this.newImageFileItem.Shortcut = System.Windows.Forms.Shortcut.Ctrl3;
            this.newImageFileItem.Text = "&Image File";
            this.newImageFileItem.Click += new System.EventHandler(this.newImageFileItem_Click);
            // 
            // openBarItem
            // 
            this.openBarItem.CategoryIndex = 0;
            this.openBarItem.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.openBarItem.ID = "&Open";
            this.openBarItem.ImageIndex = 4;
            this.openBarItem.Text = "&Open";
            // 
            // closeItem
            // 
            this.closeItem.CategoryIndex = 0;
            this.closeItem.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.closeItem.ID = "&Close";
            this.closeItem.Text = "&Close";
            this.closeItem.Click += new System.EventHandler(this.closeItem_Click);
            // 
            // saveItem
            // 
            this.saveItem.CategoryIndex = 0;
            this.saveItem.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.saveItem.ID = "&Save";
            this.saveItem.ImageIndex = 0;
            this.saveItem.Shortcut = System.Windows.Forms.Shortcut.CtrlS;
            this.saveItem.Text = "&Save";
            this.saveItem.Click += new System.EventHandler(this.saveItem_Click);
            // 
            // barItem2
            // 
            this.barItem2.CategoryIndex = 0;
            this.barItem2.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem2.ID = "Save A&ll";
            this.barItem2.ImageIndex = 7;
            this.barItem2.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftS;
            this.barItem2.Text = "Save A&ll";
            // 
            // parentBarItem4
            // 
            this.parentBarItem4.CategoryIndex = 0;
            this.parentBarItem4.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.parentBarItem4.ID = "Recent &Files";
            this.parentBarItem4.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.listBarItem1});
            this.parentBarItem4.Text = "Recent &Files";
            // 
            // listBarItem1
            // 
            this.listBarItem1.CategoryIndex = 4;
            this.listBarItem1.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.listBarItem1.ID = "MRU Files List";
            this.listBarItem1.Text = "MRU Files List";
            // 
            // barItem3
            // 
            this.barItem3.CategoryIndex = 0;
            this.barItem3.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem3.ID = "E&xit";
            this.barItem3.Text = "E&xit";
            // 
            // parentBarItem5
            // 
            this.parentBarItem5.CategoryIndex = 2;
            this.parentBarItem5.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.parentBarItem5.ID = "&View";
            this.parentBarItem5.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItem32,
            this.barItem33,
            this.barItem34,
            this.barItem35,
            this.barItem36,
            this.barItem37,
            this.barItem40,
            this.barItem38,
            this.barItem39,
            this.fullScreenBarItem});
            this.parentBarItem5.MergeOrder = 10;
            this.parentBarItem5.Text = "&View";
            // 
            // barItem32
            // 
            this.barItem32.CategoryIndex = 2;
            this.barItem32.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem32.ID = "Toolbox";
            this.barItem32.ImageIndex = 35;
            this.barItem32.ImageList = this.dockingImageList;
            this.barItem32.LargeImageList = this.dockingImageList;
            this.barItem32.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftX;
            this.barItem32.Text = "Toolbox";
            this.barItem32.Click += new System.EventHandler(this.parentBarItem5_Click);
            // 
            // dockingImageList
            // 
            this.dockingImageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("dockingImageList.ImageStream")));
            this.dockingImageList.TransparentColor = System.Drawing.Color.Transparent;
            this.dockingImageList.Images.SetKeyName(0, "");
            this.dockingImageList.Images.SetKeyName(1, "");
            this.dockingImageList.Images.SetKeyName(2, "");
            this.dockingImageList.Images.SetKeyName(3, "");
            this.dockingImageList.Images.SetKeyName(4, "");
            this.dockingImageList.Images.SetKeyName(5, "");
            this.dockingImageList.Images.SetKeyName(6, "");
            this.dockingImageList.Images.SetKeyName(7, "");
            this.dockingImageList.Images.SetKeyName(8, "");
            this.dockingImageList.Images.SetKeyName(9, "");
            this.dockingImageList.Images.SetKeyName(10, "");
            this.dockingImageList.Images.SetKeyName(11, "");
            this.dockingImageList.Images.SetKeyName(12, "");
            this.dockingImageList.Images.SetKeyName(13, "");
            this.dockingImageList.Images.SetKeyName(14, "");
            this.dockingImageList.Images.SetKeyName(15, "");
            this.dockingImageList.Images.SetKeyName(16, "");
            this.dockingImageList.Images.SetKeyName(17, "");
            this.dockingImageList.Images.SetKeyName(18, "");
            this.dockingImageList.Images.SetKeyName(19, "");
            this.dockingImageList.Images.SetKeyName(20, "");
            this.dockingImageList.Images.SetKeyName(21, "");
            this.dockingImageList.Images.SetKeyName(22, "");
            this.dockingImageList.Images.SetKeyName(23, "");
            this.dockingImageList.Images.SetKeyName(24, "");
            this.dockingImageList.Images.SetKeyName(25, "");
            this.dockingImageList.Images.SetKeyName(26, "");
            this.dockingImageList.Images.SetKeyName(27, "");
            this.dockingImageList.Images.SetKeyName(28, "");
            this.dockingImageList.Images.SetKeyName(29, "");
            this.dockingImageList.Images.SetKeyName(30, "");
            this.dockingImageList.Images.SetKeyName(31, "");
            this.dockingImageList.Images.SetKeyName(32, "");
            this.dockingImageList.Images.SetKeyName(33, "");
            this.dockingImageList.Images.SetKeyName(34, "");
            this.dockingImageList.Images.SetKeyName(35, "");
            this.dockingImageList.Images.SetKeyName(36, "");
            this.dockingImageList.Images.SetKeyName(37, "");
            this.dockingImageList.Images.SetKeyName(38, "");
            this.dockingImageList.Images.SetKeyName(39, "");
            this.dockingImageList.Images.SetKeyName(40, "");
            this.dockingImageList.Images.SetKeyName(41, "");
            this.dockingImageList.Images.SetKeyName(42, "");
            this.dockingImageList.Images.SetKeyName(43, "");
            this.dockingImageList.Images.SetKeyName(44, "");
            this.dockingImageList.Images.SetKeyName(45, "");
            this.dockingImageList.Images.SetKeyName(46, "");
            this.dockingImageList.Images.SetKeyName(47, "");
            this.dockingImageList.Images.SetKeyName(48, "");
            this.dockingImageList.Images.SetKeyName(49, "");
            this.dockingImageList.Images.SetKeyName(50, "");
            this.dockingImageList.Images.SetKeyName(51, "");
            this.dockingImageList.Images.SetKeyName(52, "");
            this.dockingImageList.Images.SetKeyName(53, "");
            this.dockingImageList.Images.SetKeyName(54, "");
            this.dockingImageList.Images.SetKeyName(55, "");
            this.dockingImageList.Images.SetKeyName(56, "");
            this.dockingImageList.Images.SetKeyName(57, "");
            this.dockingImageList.Images.SetKeyName(58, "");
            this.dockingImageList.Images.SetKeyName(59, "");
            this.dockingImageList.Images.SetKeyName(60, "");
            this.dockingImageList.Images.SetKeyName(61, "");
            this.dockingImageList.Images.SetKeyName(62, "");
            this.dockingImageList.Images.SetKeyName(63, "");
            this.dockingImageList.Images.SetKeyName(64, "");
            this.dockingImageList.Images.SetKeyName(65, "");
            this.dockingImageList.Images.SetKeyName(66, "");
            this.dockingImageList.Images.SetKeyName(67, "");
            this.dockingImageList.Images.SetKeyName(68, "");
            this.dockingImageList.Images.SetKeyName(69, "");
            this.dockingImageList.Images.SetKeyName(70, "");
            this.dockingImageList.Images.SetKeyName(71, "");
            this.dockingImageList.Images.SetKeyName(72, "");
            this.dockingImageList.Images.SetKeyName(73, "");
            this.dockingImageList.Images.SetKeyName(74, "");
            this.dockingImageList.Images.SetKeyName(75, "");
            this.dockingImageList.Images.SetKeyName(76, "");
            this.dockingImageList.Images.SetKeyName(77, "");
            this.dockingImageList.Images.SetKeyName(78, "");
            // 
            // barItem33
            // 
            this.barItem33.CategoryIndex = 2;
            this.barItem33.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem33.ID = "Class View";
            this.barItem33.ImageIndex = 38;
            this.barItem33.ImageList = this.dockingImageList;
            this.barItem33.LargeImageList = this.dockingImageList;
            this.barItem33.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftC;
            this.barItem33.Text = "Class View";
            this.barItem33.Click += new System.EventHandler(this.parentBarItem5_Click);
            // 
            // barItem34
            // 
            this.barItem34.CategoryIndex = 2;
            this.barItem34.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem34.ID = "Object Browser";
            this.barItem34.ImageIndex = 42;
            this.barItem34.ImageList = this.dockingImageList;
            this.barItem34.LargeImageList = this.dockingImageList;
            this.barItem34.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftJ;
            this.barItem34.Text = "Object Browser";
            this.barItem34.Click += new System.EventHandler(this.parentBarItem5_Click);
            // 
            // barItem35
            // 
            this.barItem35.CategoryIndex = 2;
            this.barItem35.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem35.ID = "Solution Explorer";
            this.barItem35.ImageIndex = 31;
            this.barItem35.ImageList = this.dockingImageList;
            this.barItem35.LargeImageList = this.dockingImageList;
            this.barItem35.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftL;
            this.barItem35.Text = "Solution Explorer";
            this.barItem35.Click += new System.EventHandler(this.parentBarItem5_Click);
            // 
            // barItem36
            // 
            this.barItem36.CategoryIndex = 2;
            this.barItem36.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem36.ID = "Properties";
            this.barItem36.ImageIndex = 30;
            this.barItem36.ImageList = this.dockingImageList;
            this.barItem36.LargeImageList = this.dockingImageList;
            this.barItem36.Shortcut = System.Windows.Forms.Shortcut.F4;
            this.barItem36.Text = "Properties";
            this.barItem36.Click += new System.EventHandler(this.parentBarItem5_Click);
            // 
            // barItem37
            // 
            this.barItem37.CategoryIndex = 2;
            this.barItem37.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem37.ID = "Find Results &1";
            this.barItem37.ImageIndex = 33;
            this.barItem37.ImageList = this.dockingImageList;
            this.barItem37.LargeImageList = this.dockingImageList;
            this.barItem37.Text = "Find Results &1";
            this.barItem37.Click += new System.EventHandler(this.parentBarItem5_Click);
            // 
            // barItem40
            // 
            this.barItem40.CategoryIndex = 2;
            this.barItem40.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem40.ID = "Find Results &2";
            this.barItem40.ImageIndex = 33;
            this.barItem40.ImageList = this.dockingImageList;
            this.barItem40.LargeImageList = this.dockingImageList;
            this.barItem40.Text = "Find Results &2";
            this.barItem40.Click += new System.EventHandler(this.parentBarItem5_Click);
            // 
            // barItem38
            // 
            this.barItem38.CategoryIndex = 2;
            this.barItem38.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem38.ID = "Error List";
            this.barItem38.ImageIndex = 34;
            this.barItem38.ImageList = this.dockingImageList;
            this.barItem38.LargeImageList = this.dockingImageList;
            this.barItem38.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftK;
            this.barItem38.Text = "Error List";
            this.barItem38.Click += new System.EventHandler(this.parentBarItem5_Click);
            // 
            // barItem39
            // 
            this.barItem39.CategoryIndex = 2;
            this.barItem39.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem39.ID = "Output";
            this.barItem39.ImageIndex = 32;
            this.barItem39.ImageList = this.dockingImageList;
            this.barItem39.LargeImageList = this.dockingImageList;
            this.barItem39.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftO;
            this.barItem39.Text = "Output";
            this.barItem39.Click += new System.EventHandler(this.parentBarItem5_Click);
            // 
            // fullScreenBarItem
            // 
            this.fullScreenBarItem.CategoryIndex = 7;
            this.fullScreenBarItem.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.fullScreenBarItem.ID = "Full Screen";
            this.fullScreenBarItem.Shortcut = System.Windows.Forms.Shortcut.F6;
            this.fullScreenBarItem.Text = "Full Screen";
            this.fullScreenBarItem.Click += new System.EventHandler(this.fullScreenBarItem_Click);
            // 
            // parentBarItem7
            // 
            this.parentBarItem7.CategoryIndex = 6;
            this.parentBarItem7.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.parentBarItem7.ID = "&Tools";
            this.parentBarItem7.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItem1,
            this.barItem4,
            this.customizeItem});
            this.parentBarItem7.MergeOrder = 15;
            this.parentBarItem7.SeparatorIndices.AddRange(new int[] {
            2});
            this.parentBarItem7.Text = "&Tools";
            // 
            // barItem1
            // 
            this.barItem1.CategoryIndex = 6;
            this.barItem1.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem1.ID = "Tool1";
            this.barItem1.Text = "Tool1";
            // 
            // barItem4
            // 
            this.barItem4.CategoryIndex = 6;
            this.barItem4.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem4.ID = "Tool2";
            this.barItem4.Text = "Tool2";
            // 
            // customizeItem
            // 
            this.customizeItem.CategoryIndex = 6;
            this.customizeItem.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.customizeItem.ID = "&Customize...";
            this.customizeItem.Text = "&Customize...";
            this.customizeItem.Click += new System.EventHandler(this.customizeItem_Click);
            // 
            // windowItem
            // 
            this.windowItem.CategoryIndex = 3;
            this.windowItem.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.windowItem.ID = "&Window";
            this.windowItem.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.windowCascade,
            this.windowTabbedMDI,
            this.newHorzGroupItem,
            this.newVertTabGroup,
            this.movePrevTabGroupItem,
            this.moveNextTabGroupItem,
            this.closeAllItem,
            this.mdiListBarItem1});
            this.windowItem.MergeOrder = 20;
            this.windowItem.SeparatorIndices.AddRange(new int[] {
            2,
            6,
            7});
            this.windowItem.Text = "&Window";
            this.windowItem.Popup += new System.EventHandler(this.windowItem_Popup);
            // 
            // windowCascade
            // 
            this.windowCascade.CategoryIndex = 3;
            this.windowCascade.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.windowCascade.ID = "&Cascade";
            this.windowCascade.ImageIndex = 5;
            this.windowCascade.Text = "&Cascade";
            this.windowCascade.Click += new System.EventHandler(this.windowCascade_Click);
            // 
            // windowTabbedMDI
            // 
            this.windowTabbedMDI.CategoryIndex = 3;
            this.windowTabbedMDI.Checked = true;
            this.windowTabbedMDI.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.windowTabbedMDI.ID = "Tabbed MDI";
            this.windowTabbedMDI.Text = "Tabbed MDI";
            this.windowTabbedMDI.Click += new System.EventHandler(this.windowTabbedMDI_Click);
            // 
            // newHorzGroupItem
            // 
            this.newHorzGroupItem.CategoryIndex = 3;
            this.newHorzGroupItem.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.newHorzGroupItem.ID = "New Hori&zontal Tab Group";
            this.newHorzGroupItem.ImageIndex = 2;
            this.newHorzGroupItem.Text = "New Hori&zontal Tab Group";
            this.newHorzGroupItem.Click += new System.EventHandler(this.newHorzGroupItem_Click);
            // 
            // newVertTabGroup
            // 
            this.newVertTabGroup.CategoryIndex = 3;
            this.newVertTabGroup.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.newVertTabGroup.ID = "New &Vertical Tab Group";
            this.newVertTabGroup.ImageIndex = 1;
            this.newVertTabGroup.Text = "New &Vertical Tab Group";
            this.newVertTabGroup.Click += new System.EventHandler(this.newVertTabGroup_Click);
            // 
            // movePrevTabGroupItem
            // 
            this.movePrevTabGroupItem.CategoryIndex = 3;
            this.movePrevTabGroupItem.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.movePrevTabGroupItem.ID = "Move To &Previous Tab Group";
            this.movePrevTabGroupItem.Text = "Move To &Previous Tab Group";
            this.movePrevTabGroupItem.Click += new System.EventHandler(this.movePrevTabGroupItem_Click);
            // 
            // moveNextTabGroupItem
            // 
            this.moveNextTabGroupItem.CategoryIndex = 3;
            this.moveNextTabGroupItem.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.moveNextTabGroupItem.ID = "Move To Ne&xt Tab Group";
            this.moveNextTabGroupItem.Text = "Move To Ne&xt Tab Group";
            this.moveNextTabGroupItem.Click += new System.EventHandler(this.moveNextTabGroupItem_Click);
            // 
            // closeAllItem
            // 
            this.closeAllItem.CategoryIndex = 3;
            this.closeAllItem.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.closeAllItem.ID = "C&lose All Documents";
            this.closeAllItem.ImageIndex = 3;
            this.closeAllItem.Text = "C&lose All Documents";
            this.closeAllItem.Click += new System.EventHandler(this.closeAllItem_Click);
            // 
            // mdiListBarItem1
            // 
            this.mdiListBarItem1.CategoryIndex = 3;
            this.mdiListBarItem1.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.mdiListBarItem1.ID = "Window List";
            // 
            // parentBarItem6
            // 
            this.parentBarItem6.CategoryIndex = 5;
            this.parentBarItem6.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.parentBarItem6.ID = "&Help";
            this.parentBarItem6.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItem5});
            this.parentBarItem6.MergeOrder = 25;
            this.parentBarItem6.Text = "&Help";
            // 
            // barItem5
            // 
            this.barItem5.CategoryIndex = 5;
            this.barItem5.CustomTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.barItem5.ID = "&About Syncfusion";
            this.barItem5.Text = "&About Syncfusion";
            this.barItem5.Click += new System.EventHandler(this.barItem5_Click);
            // 
            // bar2
            // 
            this.bar2.BarName = "File";
            this.bar2.Caption = "File";
            this.bar2.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.newParentItem,
            this.openBarItem,
            this.saveItem,
            this.barItem2});
            this.bar2.Manager = this.mainFrameBarManager1;
            this.bar2.SeparatorIndices.AddRange(new int[] {
            2});
            // 
            // fullScreenBar
            // 
            this.fullScreenBar.BarName = "FullScreen";
            this.fullScreenBar.BarStyle = ((Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle)((Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.AllowQuickCustomizing | Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.DrawDragBorder)));
            this.fullScreenBar.Caption = "FullScreen";
            this.fullScreenBar.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.fullScreenBarItem});
            this.fullScreenBar.Manager = this.mainFrameBarManager1;
            // 
            // smallImageList1
            // 
            this.smallImageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("smallImageList1.ImageStream")));
            this.smallImageList1.TransparentColor = System.Drawing.Color.Transparent;
            this.smallImageList1.Images.SetKeyName(0, "");
            this.smallImageList1.Images.SetKeyName(1, "");
            this.smallImageList1.Images.SetKeyName(2, "");
            this.smallImageList1.Images.SetKeyName(3, "");
            this.smallImageList1.Images.SetKeyName(4, "");
            this.smallImageList1.Images.SetKeyName(5, "");
            this.smallImageList1.Images.SetKeyName(6, "");
            this.smallImageList1.Images.SetKeyName(7, "");
            this.smallImageList1.Images.SetKeyName(8, "");
            this.smallImageList1.Images.SetKeyName(9, "");
            this.smallImageList1.Images.SetKeyName(10, "");
            this.smallImageList1.Images.SetKeyName(11, "");
            this.smallImageList1.Images.SetKeyName(12, "");
            this.smallImageList1.Images.SetKeyName(13, "");
            this.smallImageList1.Images.SetKeyName(14, "");
            // 
            // largeImageList
            // 
            this.largeImageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("largeImageList.ImageStream")));
            this.largeImageList.TransparentColor = System.Drawing.Color.Transparent;
            this.largeImageList.Images.SetKeyName(0, "");
            this.largeImageList.Images.SetKeyName(1, "");
            this.largeImageList.Images.SetKeyName(2, "");
            this.largeImageList.Images.SetKeyName(3, "");
            this.largeImageList.Images.SetKeyName(4, "");
            this.largeImageList.Images.SetKeyName(5, "");
            this.largeImageList.Images.SetKeyName(6, "");
            this.largeImageList.Images.SetKeyName(7, "");
            // 
            // barItem7
            // 
            this.barItem7.CategoryIndex = 4;
            this.barItem7.ID = "newHorzGroupItem";
            this.barItem7.Text = "newHorzGroupItem";
            // 
            // barItem8
            // 
            this.barItem8.CategoryIndex = 4;
            this.barItem8.ID = "newHorzGroupItem";
            this.barItem8.Text = "newHorzGroupItem";
            // 
            // dockingManager1
            // 
            this.dockingManager1.DockLayoutStream = ((System.IO.MemoryStream)(resources.GetObject("dockingManager1.DockLayoutStream")));
            this.dockingManager1.FullCaptionsInAutoHideMode = true;
            this.dockingManager1.HostControl = this;
            this.dockingManager1.ImageList = this.dockingImageList;
            this.dockingManager1.PersistState = true;
            this.dockingManager1.ProvideGraphicsItems += new Syncfusion.Windows.Forms.Tools.ProvideGraphicsItemsEventHandler(this.dockingManager1_ProvideGraphicsItems);
            this.dockingManager1.NewDockStateEndLoad += new System.EventHandler(this.dockingManager1_NewDockStateEndLoad);
            this.dockingManager1.DockStateChanged += new Syncfusion.Windows.Forms.Tools.DockStateChangeEventHandler(this.dockingManager1_DockStateChangedEvent);
            this.dockingManager1.SetDockLabel(this.dwSolution, "Solution Explorer");
            this.dockingManager1.SetDockIcon(this.dwSolution, 31);
            this.dockingManager1.SetDockLabel(this.dwProperties, "Properties");
            this.dockingManager1.SetDockIcon(this.dwProperties, 30);
            this.dockingManager1.SetDockLabel(this.dwFindResults1, "Find Results 1");
            this.dockingManager1.SetDockIcon(this.dwFindResults1, 33);
            this.dockingManager1.SetDockLabel(this.dwFindResults2, "Find Results 2");
            this.dockingManager1.SetDockIcon(this.dwFindResults2, 33);
            this.dockingManager1.SetHiddenOnLoad(this.dwFindResults2, true);
            this.dockingManager1.SetDockLabel(this.dwOutput, "Output");
            this.dockingManager1.SetDockIcon(this.dwOutput, 32);
            this.dockingManager1.SetDockLabel(this.dwToolbox, "Toolbox");
            this.dockingManager1.SetDockIcon(this.dwToolbox, 35);
            this.dockingManager1.SetDockLabel(this.dwClassView, "Class View");
            this.dockingManager1.SetDockIcon(this.dwClassView, 38);
            this.dockingManager1.SetHiddenOnLoad(this.dwClassView, true);
            this.dockingManager1.SetDockLabel(this.dwObjectBrowser, "Object Browser");
            this.dockingManager1.SetDockIcon(this.dwObjectBrowser, 42);
            this.dockingManager1.SetHiddenOnLoad(this.dwObjectBrowser, true);
            this.dockingManager1.SetDockLabel(this.dwTaskList, "Error List");
            // 
            // dwSolution
            // 
            this.dwSolution.Controls.Add(this.tvSolutionExp);
            this.dwSolution.Controls.Add(this.pnlSolnToolbar);
            this.dockingManager1.SetEnableDocking(this.dwSolution, true);
            this.dwSolution.Location = new System.Drawing.Point(1, 19);
            this.dwSolution.Name = "dwSolution";
            this.dwSolution.Size = new System.Drawing.Size(169, 160);
            this.dwSolution.TabIndex = 9;
            // 
            // tvSolutionExp
            // 
            this.tvSolutionExp.Dock = System.Windows.Forms.DockStyle.Fill;
            this.tvSolutionExp.HideSelection = false;
            this.tvSolutionExp.ImageIndex = 0;
            this.tvSolutionExp.ImageList = this.dockingImageList;
            this.tvSolutionExp.Location = new System.Drawing.Point(0, 29);
            this.tvSolutionExp.Name = "tvSolutionExp";
            treeNode1.ImageIndex = 31;
            treeNode1.Name = "";
            treeNode1.SelectedImageIndex = 31;
            treeNode1.Text = "Solution \'WindowsApplication1\' (1 Project)";
            treeNode2.ImageIndex = 67;
            treeNode2.Name = "";
            treeNode2.SelectedImageIndex = 67;
            treeNode2.Text = "System";
            treeNode3.ImageIndex = 67;
            treeNode3.Name = "";
            treeNode3.SelectedImageIndex = 67;
            treeNode3.Text = "System.Data";
            treeNode4.ImageIndex = 67;
            treeNode4.Name = "";
            treeNode4.SelectedImageIndex = 67;
            treeNode4.Text = "System.Windows.Forms";
            treeNode5.ImageIndex = 62;
            treeNode5.Name = "";
            treeNode5.SelectedImageIndex = 62;
            treeNode5.Text = "References";
            treeNode6.ImageIndex = 64;
            treeNode6.Name = "";
            treeNode6.SelectedImageIndex = 64;
            treeNode6.Text = "App.ico";
            treeNode7.ImageIndex = 63;
            treeNode7.Name = "";
            treeNode7.SelectedImageIndex = 63;
            treeNode7.Text = "AssemblyInfo.cs";
            treeNode8.ImageIndex = 63;
            treeNode8.Name = "";
            treeNode8.SelectedImageIndex = 63;
            treeNode8.Text = "Document1.cs";
            treeNode9.ImageIndex = 63;
            treeNode9.Name = "";
            treeNode9.SelectedImageIndex = 63;
            treeNode9.Text = "Document2.cs";
            treeNode10.ImageIndex = 65;
            treeNode10.Name = "";
            treeNode10.SelectedImageIndex = 65;
            treeNode10.Text = "Form1.cs";
            treeNode11.ImageIndex = 65;
            treeNode11.Name = "";
            treeNode11.SelectedImageIndex = 65;
            treeNode11.Text = "Form2.cs";
            treeNode12.ImageIndex = 66;
            treeNode12.Name = "";
            treeNode12.SelectedImageIndex = 66;
            treeNode12.Text = "WindowsApplication.resources";
            treeNode13.ImageIndex = 61;
            treeNode13.Name = "";
            treeNode13.SelectedImageIndex = 61;
            treeNode13.Text = "WindowsApplication";
            this.tvSolutionExp.Nodes.AddRange(new System.Windows.Forms.TreeNode[] {
            treeNode1,
            treeNode13});
            this.tvSolutionExp.SelectedImageIndex = 0;
            this.tvSolutionExp.Size = new System.Drawing.Size(169, 131);
            this.tvSolutionExp.TabIndex = 1;
            this.popupMenusManager1.SetXPContextMenu(this.tvSolutionExp, this.popupMenu1);
            // 
            // pnlSolnToolbar
            // 
            this.pnlSolnToolbar.Controls.Add(this.bcSolution);
            this.pnlSolnToolbar.Dock = System.Windows.Forms.DockStyle.Top;
            this.pnlSolnToolbar.Location = new System.Drawing.Point(0, 0);
            this.pnlSolnToolbar.Name = "pnlSolnToolbar";
            this.pnlSolnToolbar.Size = new System.Drawing.Size(169, 29);
            this.pnlSolnToolbar.TabIndex = 23;
            // 
            // bcSolution
            // 
            this.bcSolution.BackgroundColor = new Syncfusion.Drawing.BrushInfo();
            this.bcSolution.Dock = System.Windows.Forms.DockStyle.Fill;
            this.bcSolution.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItem13,
            this.barItem14,
            this.barItem16,
            this.barItem17,
            this.barItem19});
            this.bcSolution.Location = new System.Drawing.Point(0, 0);
            this.bcSolution.Name = "bcSolution";
            this.bcSolution.SeparatorIndices.AddRange(new int[] {
            2,
            4,
            2,
            4,
            2,
            4,
            2,
            4});
            this.bcSolution.Size = new System.Drawing.Size(169, 25);
            this.bcSolution.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.bcSolution.TabIndex = 2;
            this.bcSolution.Text = "barControl2";
            // 
            // barItem13
            // 
            this.barItem13.CategoryIndex = -1;
            this.barItem13.ID = "View Code";
            this.barItem13.ImageIndex = 4;
            this.barItem13.ImageList = this.dockingImageList;
            this.barItem13.Text = "View Code";
            // 
            // barItem14
            // 
            this.barItem14.CategoryIndex = -1;
            this.barItem14.ID = "View Designer";
            this.barItem14.ImageIndex = 5;
            this.barItem14.ImageList = this.dockingImageList;
            this.barItem14.Text = "View Designer";
            // 
            // barItem16
            // 
            this.barItem16.CategoryIndex = -1;
            this.barItem16.ID = "Refresh";
            this.barItem16.ImageIndex = 6;
            this.barItem16.ImageList = this.dockingImageList;
            this.barItem16.Text = "Refresh";
            // 
            // barItem17
            // 
            this.barItem17.CategoryIndex = -1;
            this.barItem17.ID = "Show All Files";
            this.barItem17.ImageIndex = 7;
            this.barItem17.ImageList = this.dockingImageList;
            this.barItem17.Text = "Show All Files";
            // 
            // barItem19
            // 
            this.barItem19.CategoryIndex = -1;
            this.barItem19.ID = "Properties";
            this.barItem19.ImageIndex = 8;
            this.barItem19.ImageList = this.dockingImageList;
            this.barItem19.Text = "Properties";
            // 
            // dwFindResults1
            // 
            this.dwFindResults1.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.dockingManager1.SetEnableDocking(this.dwFindResults1, true);
            this.dwFindResults1.Location = new System.Drawing.Point(1, 19);
            this.dwFindResults1.Name = "dwFindResults1";
            this.dwFindResults1.Size = new System.Drawing.Size(814, 13);
            this.dwFindResults1.TabIndex = 15;
            this.dwFindResults1.Text = "Find all \"BarManagerDesignerWarningCaption\", Subfolders, Find Results 2, \"Current" +
                " Project;\", \"*.cs\"";
            // 
            // dwFindResults2
            // 
            this.dwFindResults2.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.dockingManager1.SetEnableDocking(this.dwFindResults2, true);
            this.dwFindResults2.Location = new System.Drawing.Point(1, 19);
            this.dwFindResults2.Name = "dwFindResults2";
            this.dwFindResults2.Size = new System.Drawing.Size(814, 13);
            this.dwFindResults2.TabIndex = 16;
            this.dwFindResults2.Text = "Find all \"ParentChanged\", Subfolders, Find Results 2, \"Current Project;\", \"*.cs\"";
            // 
            // dwOutput
            // 
            this.dwOutput.Controls.Add(this.txtOutput);
            this.dwOutput.Controls.Add(this.comboBox1);
            this.dockingManager1.SetEnableDocking(this.dwOutput, true);
            this.dwOutput.Location = new System.Drawing.Point(1, 19);
            this.dwOutput.Name = "dwOutput";
            this.dwOutput.Size = new System.Drawing.Size(814, 146);
            this.dwOutput.TabIndex = 22;
            // 
            // txtOutput
            // 
            this.txtOutput.Dock = System.Windows.Forms.DockStyle.Fill;
            this.txtOutput.Location = new System.Drawing.Point(0, 21);
            this.txtOutput.Multiline = true;
            this.txtOutput.Name = "txtOutput";
            this.txtOutput.Size = new System.Drawing.Size(814, 125);
            this.txtOutput.TabIndex = 1;
            this.txtOutput.Text = "\'VSDemo.exe\': Loaded \'c:\\suite showcase\\tools\\vsdemo\\bin\\debug\\syncfusion.edit.dl" +
                "l\', Symbols loaded.";
            // 
            // comboBox1
            // 
            this.comboBox1.Dock = System.Windows.Forms.DockStyle.Top;
            this.comboBox1.Location = new System.Drawing.Point(0, 0);
            this.comboBox1.Name = "comboBox1";
            this.comboBox1.Size = new System.Drawing.Size(814, 21);
            this.comboBox1.TabIndex = 0;
            this.comboBox1.Text = "Debug";
            // 
            // dwToolbox
            // 
            this.dwToolbox.AllowDrop = true;
            this.dwToolbox.BarHighlight = false;
            this.dwToolbox.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.dwToolbox.Controls.Add(this.gvcSyncfusion);
            this.dwToolbox.Controls.Add(this.gvcComponents);
            this.dwToolbox.Controls.Add(this.gvcWindowsForms);
            this.dwToolbox.Controls.Add(this.gvcGeneral);
            this.dockingManager1.SetEnableDocking(this.dwToolbox, true);
            this.dwToolbox.FlatLook = true;
            this.dwToolbox.GroupBarItemHeight = 18;
            this.dwToolbox.GroupBarItems.AddRange(new Syncfusion.Windows.Forms.Tools.GroupBarItem[] {
            this.gbiComponents,
            this.gbiWindowsForms,
            this.gbiGeneral,
            this.gbiSyncfusion});
            this.dwToolbox.IntegratedScrolling = true;
            this.dwToolbox.Location = new System.Drawing.Point(1, 19);
            this.dwToolbox.Name = "dwToolbox";
            this.dwToolbox.SelectedItem = 3;
            this.dwToolbox.Size = new System.Drawing.Size(170, 348);
            this.dwToolbox.TabIndex = 23;
            this.dwToolbox.Text = "groupBar1";
            this.dwToolbox.TextAlign = Syncfusion.Windows.Forms.Tools.TextAlignment.Left;
            this.dwToolbox.ProvideGroupBarItemBrush += new Syncfusion.Windows.Forms.Tools.ProvideGroupBarItemBrushEventHandler(this.dwToolbox_ProvideGroupBarItemBrush);
            this.dwToolbox.ShowContextMenu += new System.EventHandler(this.dwToolbox_ShowContextMenu);
            // 
            // gvcSyncfusion
            // 
            this.gvcSyncfusion.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(218)))), ((int)(((byte)(216)))), ((int)(((byte)(221)))));
            this.gvcSyncfusion.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.gvcSyncfusion.ButtonView = true;
            this.gvcSyncfusion.FlatLook = true;
            this.gvcSyncfusion.GroupViewItems.AddRange(new Syncfusion.Windows.Forms.Tools.GroupViewItem[] {
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("Pointer", 9, true, null, "Pointer"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("AutoComplete", 43, true, null, "AutoComplete"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("XPToolBar", 44, true, null, "XPToolBar"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("ButtonEdit", 45, true, null, "ButtonEdit"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("CalculatorControl", 46, true, null, "CalculatorControl"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("ColorPicker", 47, true, null, "ColorPicker"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("CurrencyEdit", 48, true, null, "CurrencyEdit"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("CurrencyTextBox", 48, true, null, "CurrencyTextBox"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("FolderBrowser", 49, true, null, "FolderBrowser"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("GroupBar", 50, true, null, "GroupBar"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("GroupView", 51, true, null, "GroupView"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("DockingManager", 52, true, null, "DockingManager"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("MainFrameBarManager", 53, true, null, "MainFrameBarManager"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("MaskedEditBox", 54, true, null, "MaskedEditBox"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("PopupMenu", 55, true, null, "PopupMenu"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("GridRecordNavigationControl", 56, true, null, "GridRecordNavigationControl"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("SplashControl", 57, true, null, "SplashControl"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("TabControlExt", 58, true, null, "TabControlExt")});
            this.gvcSyncfusion.HighlightItemColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(238)))), ((int)(((byte)(194)))));
            this.gvcSyncfusion.IntegratedScrolling = true;
            this.gvcSyncfusion.ItemYSpacing = 1;
            this.gvcSyncfusion.LargeImageList = this.largeImageList;
            this.gvcSyncfusion.Location = new System.Drawing.Point(0, 72);
            this.gvcSyncfusion.Name = "gvcSyncfusion";
            this.gvcSyncfusion.SelectedHighlightItemColor = System.Drawing.Color.FromArgb(((int)(((byte)(254)))), ((int)(((byte)(128)))), ((int)(((byte)(62)))));
            this.gvcSyncfusion.SelectedItem = 0;
            this.gvcSyncfusion.SelectedItemColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(192)))), ((int)(((byte)(111)))));
            this.gvcSyncfusion.Size = new System.Drawing.Size(169, 258);
            this.gvcSyncfusion.SmallImageList = this.dockingImageList;
            this.gvcSyncfusion.SmallImageView = true;
            this.gvcSyncfusion.TabIndex = 31;
            this.gvcSyncfusion.Text = "groupViewControl1";
            this.gvcSyncfusion.ShowContextMenu += new System.EventHandler(this.dwToolbox_ShowContextMenu);
            // 
            // gvcComponents
            // 
            this.gvcComponents.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(218)))), ((int)(((byte)(216)))), ((int)(((byte)(221)))));
            this.gvcComponents.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.gvcComponents.ButtonView = true;
            this.gvcComponents.FlatLook = true;
            this.gvcComponents.GroupViewItems.AddRange(new Syncfusion.Windows.Forms.Tools.GroupViewItem[] {
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("Pointer", 9, true, null, "Pointer"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("FileSystemWatcher", 20, true, null, "FileSystemWatcher"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("EventLog", 21, true, null, "EventLog"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("DirectoryEntry", 22, true, null, "DirectoryEntry"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("DirectorySearcher", 23, true, null, "DirectorySearcher"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("MessageQueue", 24, true, null, "MessageQueue")});
            this.gvcComponents.HighlightItemColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(238)))), ((int)(((byte)(194)))));
            this.gvcComponents.IntegratedScrolling = true;
            this.gvcComponents.ItemYSpacing = 1;
            this.gvcComponents.LargeImageList = this.largeImageList;
            this.gvcComponents.Location = new System.Drawing.Point(0, 18);
            this.gvcComponents.Name = "gvcComponents";
            this.gvcComponents.SelectedHighlightItemColor = System.Drawing.Color.FromArgb(((int)(((byte)(254)))), ((int)(((byte)(128)))), ((int)(((byte)(62)))));
            this.gvcComponents.SelectedItem = 0;
            this.gvcComponents.SelectedItemColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(192)))), ((int)(((byte)(111)))));
            this.gvcComponents.Size = new System.Drawing.Size(169, 0);
            this.gvcComponents.SmallImageList = this.dockingImageList;
            this.gvcComponents.SmallImageView = true;
            this.gvcComponents.TabIndex = 24;
            this.gvcComponents.Text = "groupViewControl1";
            this.gvcComponents.ShowContextMenu += new System.EventHandler(this.dwToolbox_ShowContextMenu);
            // 
            // gvcWindowsForms
            // 
            this.gvcWindowsForms.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(218)))), ((int)(((byte)(216)))), ((int)(((byte)(221)))));
            this.gvcWindowsForms.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.gvcWindowsForms.ButtonView = true;
            this.gvcWindowsForms.FlatLook = true;
            this.gvcWindowsForms.GroupViewItems.AddRange(new Syncfusion.Windows.Forms.Tools.GroupViewItem[] {
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("Pointer", 9, true, null, "Pointer"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("Label", 10, true, null, "Label"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("LinkLabel", 11, true, null, "LinkLabel"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("Button", 12, true, null, "Button"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("TextBox", 13, true, null, "TextBox"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("MainMenu", 14, true, null, "MainMenu"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("CheckBox", 15, true, null, "CheckBox"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("RadioButton", 16, true, null, "RadioButton"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("GroupBox", 17, true, null, "GroupBox"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("PictureBox", 18, true, null, "PictureBox"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("DataGrid", 19, true, null, "DataGrid")});
            this.gvcWindowsForms.HighlightItemColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(238)))), ((int)(((byte)(194)))));
            this.gvcWindowsForms.IntegratedScrolling = true;
            this.gvcWindowsForms.ItemYSpacing = 1;
            this.gvcWindowsForms.LargeImageList = this.largeImageList;
            this.gvcWindowsForms.Location = new System.Drawing.Point(0, 312);
            this.gvcWindowsForms.Name = "gvcWindowsForms";
            this.gvcWindowsForms.SelectedHighlightItemColor = System.Drawing.Color.FromArgb(((int)(((byte)(254)))), ((int)(((byte)(128)))), ((int)(((byte)(62)))));
            this.gvcWindowsForms.SelectedItem = 0;
            this.gvcWindowsForms.SelectedItemColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(192)))), ((int)(((byte)(111)))));
            this.gvcWindowsForms.SelectingItemColor = System.Drawing.SystemColors.Control;
            this.gvcWindowsForms.Size = new System.Drawing.Size(169, 0);
            this.gvcWindowsForms.SmallImageList = this.dockingImageList;
            this.gvcWindowsForms.SmallImageView = true;
            this.gvcWindowsForms.TabIndex = 25;
            this.gvcWindowsForms.Text = "groupViewControl1";
            this.gvcWindowsForms.ShowContextMenu += new System.EventHandler(this.dwToolbox_ShowContextMenu);
            // 
            // gvcGeneral
            // 
            this.gvcGeneral.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(218)))), ((int)(((byte)(216)))), ((int)(((byte)(221)))));
            this.gvcGeneral.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.gvcGeneral.ButtonView = true;
            this.gvcGeneral.FlatLook = true;
            this.gvcGeneral.FlowView = true;
            this.gvcGeneral.GroupViewItems.AddRange(new Syncfusion.Windows.Forms.Tools.GroupViewItem[] {
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("Pointer", 9, true, null, "Pointer"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("Label", 10, true, null, "Label"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("LinkLabel", 11, true, null, "LinkLabel"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("Button", 12, true, null, "Button"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("TextBox", 13, true, null, "TextBox"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("MainMenu", 14, true, null, "MainMenu"),
            new Syncfusion.Windows.Forms.Tools.GroupViewItem("RadioButton", 15, true, null, "RadioButton")});
            this.gvcGeneral.HighlightItemColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(238)))), ((int)(((byte)(194)))));
            this.gvcGeneral.HighlightText = false;
            this.gvcGeneral.ImageSpacing = 5;
            this.gvcGeneral.IntegratedScrolling = true;
            this.gvcGeneral.ItemXSpacing = 0;
            this.gvcGeneral.ItemYSpacing = 0;
            this.gvcGeneral.LargeImageList = this.largeImageList;
            this.gvcGeneral.Location = new System.Drawing.Point(0, 330);
            this.gvcGeneral.Name = "gvcGeneral";
            this.gvcGeneral.SelectedHighlightItemColor = System.Drawing.Color.FromArgb(((int)(((byte)(254)))), ((int)(((byte)(128)))), ((int)(((byte)(62)))));
            this.gvcGeneral.SelectedItem = 0;
            this.gvcGeneral.SelectedItemColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(192)))), ((int)(((byte)(111)))));
            this.gvcGeneral.Size = new System.Drawing.Size(169, 0);
            this.gvcGeneral.SmallImageList = this.dockingImageList;
            this.gvcGeneral.SmallImageView = true;
            this.gvcGeneral.TabIndex = 24;
            this.gvcGeneral.Text = "groupViewControl1";
            this.gvcGeneral.ShowContextMenu += new System.EventHandler(this.dwToolbox_ShowContextMenu);
            // 
            // gbiComponents
            // 
            this.gbiComponents.Client = this.gvcComponents;
            this.gbiComponents.ClientBorderColors = new Syncfusion.Windows.Forms.Tools.BorderColors(System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control);
            this.gbiComponents.Text = "Components";
            // 
            // gbiWindowsForms
            // 
            this.gbiWindowsForms.Client = this.gvcWindowsForms;
            this.gbiWindowsForms.ClientBorderColors = new Syncfusion.Windows.Forms.Tools.BorderColors(System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control);
            this.gbiWindowsForms.Text = "Windows Forms";
            // 
            // gbiGeneral
            // 
            this.gbiGeneral.Client = this.gvcGeneral;
            this.gbiGeneral.ClientBorderColors = new Syncfusion.Windows.Forms.Tools.BorderColors(System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control);
            this.gbiGeneral.Text = "General";
            // 
            // gbiSyncfusion
            // 
            this.gbiSyncfusion.Client = this.gvcSyncfusion;
            this.gbiSyncfusion.ClientBorderColors = new Syncfusion.Windows.Forms.Tools.BorderColors(System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control);
            this.gbiSyncfusion.Text = "Syncfusion";
            // 
            // dwClassView
            // 
            this.dwClassView.Controls.Add(this.tvClassView);
            this.dwClassView.Controls.Add(this.pnlClassViewToolbar);
            this.dockingManager1.SetEnableDocking(this.dwClassView, true);
            this.dwClassView.Location = new System.Drawing.Point(1, 19);
            this.dwClassView.Name = "dwClassView";
            this.dwClassView.Size = new System.Drawing.Size(463, 75);
            this.dwClassView.TabIndex = 26;
            // 
            // tvClassView
            // 
            this.tvClassView.Dock = System.Windows.Forms.DockStyle.Fill;
            this.tvClassView.ImageIndex = 0;
            this.tvClassView.ImageList = this.dockingImageList;
            this.tvClassView.Location = new System.Drawing.Point(0, 29);
            this.tvClassView.Name = "tvClassView";
            treeNode14.ImageIndex = 72;
            treeNode14.Name = "";
            treeNode14.SelectedImageIndex = 72;
            treeNode14.Text = "MainForm()";
            treeNode15.ImageIndex = 70;
            treeNode15.Name = "";
            treeNode15.SelectedImageIndex = 71;
            treeNode15.Text = "Dispose(bool)";
            treeNode16.ImageIndex = 70;
            treeNode16.Name = "";
            treeNode16.SelectedImageIndex = 70;
            treeNode16.Text = "InitializeComponent()";
            treeNode17.ImageIndex = 73;
            treeNode17.Name = "";
            treeNode17.SelectedImageIndex = 73;
            treeNode17.Text = "components";
            treeNode18.ImageIndex = 69;
            treeNode18.Name = "";
            treeNode18.SelectedImageIndex = 69;
            treeNode18.Text = "MainForm";
            treeNode19.ImageIndex = 72;
            treeNode19.Name = "";
            treeNode19.SelectedImageIndex = 72;
            treeNode19.Text = "ChildForm1()";
            treeNode20.ImageIndex = 71;
            treeNode20.Name = "";
            treeNode20.SelectedImageIndex = 71;
            treeNode20.Text = "Dispose(bool)";
            treeNode21.ImageIndex = 70;
            treeNode21.Name = "";
            treeNode21.SelectedImageIndex = 70;
            treeNode21.Text = "InitializeComponent()";
            treeNode22.ImageIndex = 69;
            treeNode22.Name = "";
            treeNode22.SelectedImageIndex = 69;
            treeNode22.Text = "ChildForm1";
            treeNode23.ImageIndex = 69;
            treeNode23.Name = "";
            treeNode23.SelectedImageIndex = 69;
            treeNode23.Text = "ChildForm2";
            treeNode24.ImageIndex = 76;
            treeNode24.Name = "";
            treeNode24.SelectedImageIndex = 76;
            treeNode24.Text = "IWinInterfaces";
            treeNode25.ImageIndex = 68;
            treeNode25.Name = "";
            treeNode25.SelectedImageIndex = 68;
            treeNode25.Text = "WindowsApplication";
            treeNode26.ImageIndex = 61;
            treeNode26.Name = "";
            treeNode26.SelectedImageIndex = 61;
            treeNode26.Text = "WindowsApplication1";
            this.tvClassView.Nodes.AddRange(new System.Windows.Forms.TreeNode[] {
            treeNode26});
            this.tvClassView.SelectedImageIndex = 0;
            this.tvClassView.Size = new System.Drawing.Size(463, 46);
            this.tvClassView.TabIndex = 29;
            // 
            // pnlClassViewToolbar
            // 
            this.pnlClassViewToolbar.Controls.Add(this.bcClassView);
            this.pnlClassViewToolbar.Dock = System.Windows.Forms.DockStyle.Top;
            this.pnlClassViewToolbar.Location = new System.Drawing.Point(0, 0);
            this.pnlClassViewToolbar.Name = "pnlClassViewToolbar";
            this.pnlClassViewToolbar.Size = new System.Drawing.Size(463, 29);
            this.pnlClassViewToolbar.TabIndex = 28;
            // 
            // bcClassView
            // 
            this.bcClassView.BackgroundColor = new Syncfusion.Drawing.BrushInfo();
            this.bcClassView.Dock = System.Windows.Forms.DockStyle.Fill;
            this.bcClassView.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItem15,
            this.barItem18});
            this.bcClassView.Location = new System.Drawing.Point(0, 0);
            this.bcClassView.Name = "bcClassView";
            this.bcClassView.SeparatorIndices.AddRange(new int[] {
            1,
            1});
            this.bcClassView.Size = new System.Drawing.Size(463, 25);
            this.bcClassView.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.bcClassView.TabIndex = 27;
            this.bcClassView.Text = "barControl3";
            // 
            // barItem15
            // 
            this.barItem15.CategoryIndex = -1;
            this.barItem15.ID = "Class View Sort By Type";
            this.barItem15.ImageIndex = 36;
            this.barItem15.ImageList = this.dockingImageList;
            this.barItem15.Text = "Class View Sort By Type";
            // 
            // barItem18
            // 
            this.barItem18.CategoryIndex = -1;
            this.barItem18.ID = "New Folder";
            this.barItem18.ImageIndex = 37;
            this.barItem18.ImageList = this.dockingImageList;
            this.barItem18.Text = "New Folder";
            // 
            // dwObjectBrowser
            // 
            this.dwObjectBrowser.Controls.Add(this.splitter1);
            this.dwObjectBrowser.Controls.Add(this.llObjBrowserBottom);
            this.dwObjectBrowser.Controls.Add(this.pnlObjBrowserMain);
            this.dwObjectBrowser.Controls.Add(this.pnlObjBrowserToolbar);
            this.dockingManager1.SetEnableDocking(this.dwObjectBrowser, true);
            this.dwObjectBrowser.Location = new System.Drawing.Point(1, 19);
            this.dwObjectBrowser.Name = "dwObjectBrowser";
            this.dwObjectBrowser.Size = new System.Drawing.Size(463, 75);
            this.dwObjectBrowser.TabIndex = 29;
            // 
            // splitter1
            // 
            this.splitter1.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.splitter1.Location = new System.Drawing.Point(0, 30);
            this.splitter1.Name = "splitter1";
            this.splitter1.Size = new System.Drawing.Size(463, 5);
            this.splitter1.TabIndex = 34;
            this.splitter1.TabStop = false;
            // 
            // llObjBrowserBottom
            // 
            this.llObjBrowserBottom.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.llObjBrowserBottom.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.llObjBrowserBottom.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.llObjBrowserBottom.LinkArea = new System.Windows.Forms.LinkArea(25, 58);
            this.llObjBrowserBottom.LinkBehavior = System.Windows.Forms.LinkBehavior.AlwaysUnderline;
            this.llObjBrowserBottom.LinkColor = System.Drawing.Color.DarkGreen;
            this.llObjBrowserBottom.Location = new System.Drawing.Point(0, 35);
            this.llObjBrowserBottom.Name = "llObjBrowserBottom";
            this.llObjBrowserBottom.Size = new System.Drawing.Size(463, 40);
            this.llObjBrowserBottom.TabIndex = 0;
            this.llObjBrowserBottom.TabStop = true;
            this.llObjBrowserBottom.Text = "public class RichTextBox: System.Windows.Forms.RichTextBox";
            this.llObjBrowserBottom.UseCompatibleTextRendering = true;
            // 
            // pnlObjBrowserMain
            // 
            this.pnlObjBrowserMain.Controls.Add(this.spObjBrowMain);
            this.pnlObjBrowserMain.Controls.Add(this.pnlMembers);
            this.pnlObjBrowserMain.Controls.Add(this.pnlObjects);
            this.pnlObjBrowserMain.Dock = System.Windows.Forms.DockStyle.Fill;
            this.pnlObjBrowserMain.Location = new System.Drawing.Point(0, 29);
            this.pnlObjBrowserMain.Name = "pnlObjBrowserMain";
            this.pnlObjBrowserMain.Size = new System.Drawing.Size(463, 46);
            this.pnlObjBrowserMain.TabIndex = 32;
            // 
            // spObjBrowMain
            // 
            this.spObjBrowMain.Location = new System.Drawing.Point(250, 0);
            this.spObjBrowMain.Name = "spObjBrowMain";
            this.spObjBrowMain.Size = new System.Drawing.Size(5, 46);
            this.spObjBrowMain.TabIndex = 2;
            this.spObjBrowMain.TabStop = false;
            // 
            // pnlMembers
            // 
            this.pnlMembers.Controls.Add(this.tvObjBrowsMembers);
            this.pnlMembers.Controls.Add(this.label2);
            this.pnlMembers.Dock = System.Windows.Forms.DockStyle.Fill;
            this.pnlMembers.Location = new System.Drawing.Point(250, 0);
            this.pnlMembers.Name = "pnlMembers";
            this.pnlMembers.Size = new System.Drawing.Size(213, 46);
            this.pnlMembers.TabIndex = 1;
            // 
            // tvObjBrowsMembers
            // 
            this.tvObjBrowsMembers.Dock = System.Windows.Forms.DockStyle.Fill;
            this.tvObjBrowsMembers.ImageIndex = 0;
            this.tvObjBrowsMembers.ImageList = this.dockingImageList;
            this.tvObjBrowsMembers.Location = new System.Drawing.Point(0, 16);
            this.tvObjBrowsMembers.Name = "tvObjBrowsMembers";
            treeNode27.ImageIndex = 70;
            treeNode27.Name = "";
            treeNode27.SelectedImageIndex = 70;
            treeNode27.Text = "CreateNewControl(System.Windows.Forms.Control,int,int)";
            treeNode28.ImageIndex = 70;
            treeNode28.Name = "";
            treeNode28.SelectedImageIndex = 70;
            treeNode28.Text = "Dispose(bool)";
            treeNode29.ImageIndex = 72;
            treeNode29.Name = "";
            treeNode29.SelectedImageIndex = 72;
            treeNode29.Text = "GetFirstVisibleLine()";
            treeNode30.ImageIndex = 72;
            treeNode30.Name = "";
            treeNode30.SelectedImageIndex = 72;
            treeNode30.Text = "GetLineCount()";
            treeNode31.ImageIndex = 72;
            treeNode31.Name = "";
            treeNode31.SelectedImageIndex = 72;
            treeNode31.Text = "GetLineFromChar()";
            treeNode32.ImageIndex = 71;
            treeNode32.Name = "";
            treeNode32.SelectedImageIndex = 71;
            treeNode32.Text = "GetScrollPos()";
            treeNode33.ImageIndex = 71;
            treeNode33.Name = "";
            treeNode33.SelectedImageIndex = 71;
            treeNode33.Text = "ShouldSerializeDock()";
            treeNode34.ImageIndex = 73;
            treeNode34.Name = "";
            treeNode34.SelectedImageIndex = 73;
            treeNode34.Text = "LineCount";
            treeNode35.ImageIndex = 73;
            treeNode35.Name = "";
            treeNode35.SelectedImageIndex = 73;
            treeNode35.Text = "NewLineCount";
            treeNode36.ImageIndex = 75;
            treeNode36.Name = "";
            treeNode36.SelectedImageIndex = 75;
            treeNode36.Text = "Format";
            this.tvObjBrowsMembers.Nodes.AddRange(new System.Windows.Forms.TreeNode[] {
            treeNode27,
            treeNode28,
            treeNode29,
            treeNode30,
            treeNode31,
            treeNode32,
            treeNode33,
            treeNode34,
            treeNode35,
            treeNode36});
            this.tvObjBrowsMembers.SelectedImageIndex = 0;
            this.tvObjBrowsMembers.Size = new System.Drawing.Size(213, 30);
            this.tvObjBrowsMembers.TabIndex = 1;
            // 
            // label2
            // 
            this.label2.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.label2.Dock = System.Windows.Forms.DockStyle.Top;
            this.label2.Location = new System.Drawing.Point(0, 0);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(213, 16);
            this.label2.TabIndex = 0;
            this.label2.Text = "Members";
            // 
            // pnlObjects
            // 
            this.pnlObjects.Controls.Add(this.tvObjBrowsObjects);
            this.pnlObjects.Controls.Add(this.label1);
            this.pnlObjects.Dock = System.Windows.Forms.DockStyle.Left;
            this.pnlObjects.Location = new System.Drawing.Point(0, 0);
            this.pnlObjects.Name = "pnlObjects";
            this.pnlObjects.Size = new System.Drawing.Size(250, 46);
            this.pnlObjects.TabIndex = 0;
            // 
            // tvObjBrowsObjects
            // 
            this.tvObjBrowsObjects.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.tvObjBrowsObjects.ImageIndex = 0;
            this.tvObjBrowsObjects.ImageList = this.dockingImageList;
            this.tvObjBrowsObjects.Location = new System.Drawing.Point(0, 16);
            this.tvObjBrowsObjects.Name = "tvObjBrowsObjects";
            treeNode37.ImageIndex = 68;
            treeNode37.Name = "";
            treeNode37.SelectedImageIndex = 68;
            treeNode37.Text = "Microsoft";
            treeNode38.ImageIndex = 68;
            treeNode38.Name = "";
            treeNode38.SelectedImageIndex = 68;
            treeNode38.Text = "Microsoft.Win32";
            treeNode39.ImageIndex = 68;
            treeNode39.Name = "";
            treeNode39.SelectedImageIndex = 68;
            treeNode39.Text = "System";
            treeNode40.ImageIndex = 68;
            treeNode40.Name = "";
            treeNode40.SelectedImageIndex = 68;
            treeNode40.Text = "System.Collections";
            treeNode41.ImageIndex = 68;
            treeNode41.Name = "";
            treeNode41.SelectedImageIndex = 68;
            treeNode41.Text = "System.Configuration";
            treeNode42.ImageIndex = 68;
            treeNode42.Name = "";
            treeNode42.SelectedImageIndex = 68;
            treeNode42.Text = "System.Configuration.Assemblies";
            treeNode43.ImageIndex = 67;
            treeNode43.Name = "";
            treeNode43.SelectedImageIndex = 67;
            treeNode43.Text = "mscorlib";
            treeNode44.ImageIndex = 68;
            treeNode44.Name = "";
            treeNode44.SelectedImageIndex = 68;
            treeNode44.Text = "Syncfusion";
            treeNode45.ImageIndex = 68;
            treeNode45.Name = "";
            treeNode45.SelectedImageIndex = 68;
            treeNode45.Text = "Syncfusion.Windows";
            treeNode46.ImageIndex = 68;
            treeNode46.Name = "";
            treeNode46.SelectedImageIndex = 68;
            treeNode46.Text = "Syncfusion.Windows.Forms";
            treeNode47.ImageIndex = 68;
            treeNode47.Name = "";
            treeNode47.SelectedImageIndex = 68;
            treeNode47.Text = "Syncfusion.Windows.Forms.Grid";
            treeNode48.ImageIndex = 67;
            treeNode48.Name = "";
            treeNode48.SelectedImageIndex = 67;
            treeNode48.Text = "Syncfusion.Grid";
            treeNode49.ImageIndex = 68;
            treeNode49.Name = "";
            treeNode49.SelectedImageIndex = 69;
            treeNode49.Text = "Syncfusion";
            treeNode50.ImageIndex = 68;
            treeNode50.Name = "";
            treeNode50.SelectedImageIndex = 68;
            treeNode50.Text = "Syncfusion.Collections";
            treeNode51.ImageIndex = 68;
            treeNode51.Name = "";
            treeNode51.SelectedImageIndex = 68;
            treeNode51.Text = "Syncfusion.ComponentModel";
            treeNode52.ImageIndex = 67;
            treeNode52.Name = "";
            treeNode52.SelectedImageIndex = 67;
            treeNode52.Text = "Syncfusion.Shared";
            treeNode53.ImageIndex = 68;
            treeNode53.Name = "";
            treeNode53.SelectedImageIndex = 68;
            treeNode53.Text = "Syncfusion";
            treeNode54.ImageIndex = 68;
            treeNode54.Name = "";
            treeNode54.SelectedImageIndex = 68;
            treeNode54.Text = "Syncfusion.Runtime";
            treeNode55.ImageIndex = 68;
            treeNode55.Name = "";
            treeNode55.SelectedImageIndex = 68;
            treeNode55.Text = "Syncfusion.Runtime.InteropServices";
            treeNode56.ImageIndex = 68;
            treeNode56.Name = "";
            treeNode56.SelectedImageIndex = 68;
            treeNode56.Text = "Syncfusion.Windows";
            treeNode57.ImageIndex = 68;
            treeNode57.Name = "";
            treeNode57.SelectedImageIndex = 68;
            treeNode57.Text = "Syncfusion.Windows.Forms";
            treeNode58.ImageIndex = 67;
            treeNode58.Name = "";
            treeNode58.SelectedImageIndex = 67;
            treeNode58.Text = "Syncfusion.Tools";
            treeNode59.ImageIndex = 67;
            treeNode59.Name = "";
            treeNode59.SelectedImageIndex = 67;
            treeNode59.Text = "system.Data";
            treeNode60.ImageIndex = 67;
            treeNode60.Name = "";
            treeNode60.SelectedImageIndex = 67;
            treeNode60.Text = "system.Design";
            treeNode61.ImageIndex = 67;
            treeNode61.Name = "";
            treeNode61.SelectedImageIndex = 67;
            treeNode61.Text = "system";
            treeNode62.ImageIndex = 68;
            treeNode62.Name = "";
            treeNode62.SelectedImageIndex = 68;
            treeNode62.Text = "System";
            treeNode63.ImageIndex = 68;
            treeNode63.Name = "";
            treeNode63.SelectedImageIndex = 68;
            treeNode63.Text = "System.Drawing";
            treeNode64.ImageIndex = 67;
            treeNode64.Name = "";
            treeNode64.SelectedImageIndex = 67;
            treeNode64.Text = "system.drawing";
            this.tvObjBrowsObjects.Nodes.AddRange(new System.Windows.Forms.TreeNode[] {
            treeNode43,
            treeNode48,
            treeNode52,
            treeNode58,
            treeNode59,
            treeNode60,
            treeNode61,
            treeNode64});
            this.tvObjBrowsObjects.SelectedImageIndex = 0;
            this.tvObjBrowsObjects.Size = new System.Drawing.Size(250, 22);
            this.tvObjBrowsObjects.TabIndex = 1;
            // 
            // label1
            // 
            this.label1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.label1.Dock = System.Windows.Forms.DockStyle.Top;
            this.label1.Location = new System.Drawing.Point(0, 0);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(250, 16);
            this.label1.TabIndex = 0;
            this.label1.Text = "Objects";
            // 
            // pnlObjBrowserToolbar
            // 
            this.pnlObjBrowserToolbar.Controls.Add(this.bcObjectBrowser);
            this.pnlObjBrowserToolbar.Dock = System.Windows.Forms.DockStyle.Top;
            this.pnlObjBrowserToolbar.Location = new System.Drawing.Point(0, 0);
            this.pnlObjBrowserToolbar.Name = "pnlObjBrowserToolbar";
            this.pnlObjBrowserToolbar.Size = new System.Drawing.Size(463, 29);
            this.pnlObjBrowserToolbar.TabIndex = 31;
            // 
            // bcObjectBrowser
            // 
            this.bcObjectBrowser.BackgroundColor = new Syncfusion.Drawing.BrushInfo();
            this.bcObjectBrowser.Dock = System.Windows.Forms.DockStyle.Fill;
            this.bcObjectBrowser.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.comboBoxBarItem1,
            this.parentBarItem8,
            this.parentBarItem9,
            this.barItem29,
            this.barItem30,
            this.barItem31});
            this.bcObjectBrowser.Location = new System.Drawing.Point(0, 0);
            this.bcObjectBrowser.Name = "bcObjectBrowser";
            this.bcObjectBrowser.SeparatorIndices.AddRange(new int[] {
            1,
            3,
            1,
            3});
            this.bcObjectBrowser.Size = new System.Drawing.Size(463, 25);
            this.bcObjectBrowser.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.bcObjectBrowser.TabIndex = 30;
            this.bcObjectBrowser.Text = "barControl1";
            // 
            // comboBoxBarItem1
            // 
            this.comboBoxBarItem1.CategoryIndex = -1;
            this.comboBoxBarItem1.ChoiceList.AddRange(new string[] {
            "Selected Component",
            "Active Project"});
            this.comboBoxBarItem1.Editable = false;
            this.comboBoxBarItem1.ID = "Browse";
            this.comboBoxBarItem1.MinWidth = 120;
            this.comboBoxBarItem1.Text = "Browse";
            this.comboBoxBarItem1.TextBoxValue = "Selected Component";
            // 
            // parentBarItem8
            // 
            this.parentBarItem8.CategoryIndex = -1;
            this.parentBarItem8.ID = "";
            this.parentBarItem8.ImageIndex = 26;
            this.parentBarItem8.ImageList = this.dockingImageList;
            this.parentBarItem8.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.sortAlphLeft,
            this.soryByObjectType,
            this.sortByObjectAccess,
            this.groupByObjectType});
            this.parentBarItem8.ParentStyle = Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItemStyle.DropDown;
            this.parentBarItem8.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem8.Click += new System.EventHandler(this.parentBarItem8_Click);
            // 
            // sortAlphLeft
            // 
            this.sortAlphLeft.CategoryIndex = -1;
            this.sortAlphLeft.ID = "";
            // 
            // soryByObjectType
            // 
            this.soryByObjectType.CategoryIndex = -1;
            this.soryByObjectType.ID = "";
            // 
            // sortByObjectAccess
            // 
            this.sortByObjectAccess.CategoryIndex = -1;
            this.sortByObjectAccess.ID = "";
            // 
            // groupByObjectType
            // 
            this.groupByObjectType.CategoryIndex = -1;
            this.groupByObjectType.ID = "";
            // 
            // parentBarItem9
            // 
            this.parentBarItem9.CategoryIndex = -1;
            this.parentBarItem9.ID = "";
            this.parentBarItem9.ImageIndex = 36;
            this.parentBarItem9.ImageList = this.dockingImageList;
            this.parentBarItem9.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.pbi91,
            this.pbi92,
            this.pbi93});
            this.parentBarItem9.ParentStyle = Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItemStyle.DropDown;
            this.parentBarItem9.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem9.Click += new System.EventHandler(this.parentBarItem9_Click);
            // 
            // pbi91
            // 
            this.pbi91.CategoryIndex = -1;
            this.pbi91.ID = "";
            // 
            // pbi92
            // 
            this.pbi92.CategoryIndex = -1;
            this.pbi92.ID = "";
            // 
            // pbi93
            // 
            this.pbi93.CategoryIndex = -1;
            this.pbi93.ID = "";
            // 
            // barItem29
            // 
            this.barItem29.CategoryIndex = -1;
            this.barItem29.ID = "Back";
            this.barItem29.ImageIndex = 39;
            this.barItem29.ImageList = this.dockingImageList;
            this.barItem29.Text = "Back";
            // 
            // barItem30
            // 
            this.barItem30.CategoryIndex = -1;
            this.barItem30.Enabled = false;
            this.barItem30.ID = "Forward";
            this.barItem30.ImageIndex = 40;
            this.barItem30.ImageList = this.dockingImageList;
            this.barItem30.Text = "Forward";
            // 
            // barItem31
            // 
            this.barItem31.CategoryIndex = -1;
            this.barItem31.ID = "Find Symbol";
            this.barItem31.ImageIndex = 41;
            this.barItem31.ImageList = this.dockingImageList;
            this.barItem31.Text = "Find Symbol";
            // 
            // dwProperties
            // 
            this.dwProperties.Controls.Add(this.propertyGrid1);
            this.dwProperties.Controls.Add(this.pnlPropToolbar);
            this.dwProperties.Controls.Add(this.cbProperties);
            this.dockingManager1.SetEnableDocking(this.dwProperties, true);
            this.dwProperties.Location = new System.Drawing.Point(1, 19);
            this.dwProperties.Name = "dwProperties";
            this.dwProperties.Size = new System.Drawing.Size(169, 164);
            this.dwProperties.TabIndex = 10;
            // 
            // propertyGrid1
            // 
            this.propertyGrid1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.propertyGrid1.HelpVisible = false;
            this.propertyGrid1.LineColor = System.Drawing.SystemColors.ScrollBar;
            this.propertyGrid1.Location = new System.Drawing.Point(0, 50);
            this.propertyGrid1.Name = "propertyGrid1";
            this.propertyGrid1.SelectedObject = this.tvSolutionExp;
            this.propertyGrid1.Size = new System.Drawing.Size(169, 114);
            this.propertyGrid1.TabIndex = 2;
            this.propertyGrid1.ToolbarVisible = false;
            // 
            // pnlPropToolbar
            // 
            this.pnlPropToolbar.Controls.Add(this.bcProperties);
            this.pnlPropToolbar.Dock = System.Windows.Forms.DockStyle.Top;
            this.pnlPropToolbar.Location = new System.Drawing.Point(0, 21);
            this.pnlPropToolbar.Name = "pnlPropToolbar";
            this.pnlPropToolbar.Size = new System.Drawing.Size(169, 29);
            this.pnlPropToolbar.TabIndex = 23;
            // 
            // bcProperties
            // 
            this.bcProperties.BackgroundColor = new Syncfusion.Drawing.BrushInfo();
            this.bcProperties.Dock = System.Windows.Forms.DockStyle.Fill;
            this.bcProperties.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItem20,
            this.barItem21,
            this.barItem22,
            this.barItem23,
            this.barItem24});
            this.bcProperties.Location = new System.Drawing.Point(0, 0);
            this.bcProperties.Name = "bcProperties";
            this.bcProperties.SeparatorIndices.AddRange(new int[] {
            2,
            4,
            2,
            4,
            2,
            4,
            2,
            4});
            this.bcProperties.Size = new System.Drawing.Size(169, 25);
            this.bcProperties.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.bcProperties.TabIndex = 3;
            this.bcProperties.Text = "barControl1";
            // 
            // barItem20
            // 
            this.barItem20.CategoryIndex = -1;
            this.barItem20.ID = "Categorized";
            this.barItem20.ImageIndex = 25;
            this.barItem20.ImageList = this.dockingImageList;
            this.barItem20.Text = "Categorized";
            // 
            // barItem21
            // 
            this.barItem21.CategoryIndex = -1;
            this.barItem21.ID = "Alphabetic";
            this.barItem21.ImageIndex = 26;
            this.barItem21.ImageList = this.dockingImageList;
            this.barItem21.Text = "Alphabetic";
            // 
            // barItem22
            // 
            this.barItem22.CategoryIndex = -1;
            this.barItem22.ID = "Properties";
            this.barItem22.ImageIndex = 27;
            this.barItem22.ImageList = this.dockingImageList;
            this.barItem22.Text = "Properties";
            // 
            // barItem23
            // 
            this.barItem23.CategoryIndex = -1;
            this.barItem23.ID = "Events";
            this.barItem23.ImageIndex = 28;
            this.barItem23.ImageList = this.dockingImageList;
            this.barItem23.Text = "Events";
            // 
            // barItem24
            // 
            this.barItem24.CategoryIndex = -1;
            this.barItem24.Enabled = false;
            this.barItem24.ID = "Property Pages";
            this.barItem24.ImageIndex = 29;
            this.barItem24.ImageList = this.dockingImageList;
            this.barItem24.Text = "Property Pages";
            // 
            // cbProperties
            // 
            this.cbProperties.Dock = System.Windows.Forms.DockStyle.Top;
            this.cbProperties.Location = new System.Drawing.Point(0, 0);
            this.cbProperties.Name = "cbProperties";
            this.cbProperties.Size = new System.Drawing.Size(169, 21);
            this.cbProperties.TabIndex = 0;
            this.cbProperties.Text = "treeControl1 System.Windows.Forms.TreeControl";
            // 
            // dwTaskList
            // 
            this.dwTaskList.Controls.Add(this.xpToolBar1);
            this.dwTaskList.Controls.Add(this.dwTaskListView);
            this.dockingManager1.SetEnableDocking(this.dwTaskList, true);
            this.dwTaskList.Location = new System.Drawing.Point(1, 19);
            this.dwTaskList.Name = "dwTaskList";
            this.dwTaskList.Size = new System.Drawing.Size(814, 146);
            this.dwTaskList.TabIndex = 29;
            // 
            // xpToolBar1
            // 
            this.xpToolBar1.BackgroundColor = new Syncfusion.Drawing.BrushInfo();
            this.xpToolBar1.Dock = System.Windows.Forms.DockStyle.Top;
            this.xpToolBar1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItem41,
            this.barItem42,
            this.barItem43});
            this.xpToolBar1.Location = new System.Drawing.Point(0, 0);
            this.xpToolBar1.Name = "xpToolBar1";
            this.xpToolBar1.SeparatorIndices.AddRange(new int[] {
            1,
            2});
            this.xpToolBar1.Size = new System.Drawing.Size(814, 25);
            this.xpToolBar1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.xpToolBar1.TabIndex = 28;
            this.xpToolBar1.Text = "xpToolBar1";
            // 
            // barItem41
            // 
            this.barItem41.CategoryIndex = -1;
            this.barItem41.Checked = true;
            this.barItem41.ID = "0 Errors";
            this.barItem41.ImageIndex = 0;
            this.barItem41.ImageList = this.imageList1;
            this.barItem41.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItem41.Text = "0 Errors";
            // 
            // imageList1
            // 
            this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
            this.imageList1.TransparentColor = System.Drawing.Color.Transparent;
            this.imageList1.Images.SetKeyName(0, "");
            this.imageList1.Images.SetKeyName(1, "");
            this.imageList1.Images.SetKeyName(2, "");
            // 
            // barItem42
            // 
            this.barItem42.CategoryIndex = -1;
            this.barItem42.Checked = true;
            this.barItem42.ID = "0 Warnings";
            this.barItem42.ImageIndex = 1;
            this.barItem42.ImageList = this.imageList1;
            this.barItem42.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItem42.Text = "0 Warnings";
            // 
            // barItem43
            // 
            this.barItem43.CategoryIndex = -1;
            this.barItem43.Checked = true;
            this.barItem43.ID = "0 Messages";
            this.barItem43.ImageIndex = 2;
            this.barItem43.ImageList = this.imageList1;
            this.barItem43.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItem43.Text = "0 Messages";
            // 
            // dwTaskListView
            // 
            this.dwTaskListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.dwTaskListView.BorderStyle = System.Windows.Forms.BorderStyle.None;
            this.dwTaskListView.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
            this.columnHeader1,
            this.columnHeader2,
            this.columnHeader3});
            this.dwTaskListView.FullRowSelect = true;
            this.dwTaskListView.GridLines = true;
            listViewItem1.Checked = true;
            listViewItem1.StateImageIndex = 1;
            this.dwTaskListView.Items.AddRange(new System.Windows.Forms.ListViewItem[] {
            listViewItem1});
            this.dwTaskListView.Location = new System.Drawing.Point(0, 24);
            this.dwTaskListView.MultiSelect = false;
            this.dwTaskListView.Name = "dwTaskListView";
            this.dwTaskListView.Size = new System.Drawing.Size(814, 115);
            this.dwTaskListView.SmallImageList = this.dockingImageList;
            this.dwTaskListView.TabIndex = 27;
            this.dwTaskListView.UseCompatibleStateImageBehavior = false;
            this.dwTaskListView.View = System.Windows.Forms.View.Details;
            // 
            // columnHeader1
            // 
            this.columnHeader1.Text = "!";
            this.columnHeader1.Width = 20;
            // 
            // columnHeader2
            // 
            this.columnHeader2.Text = "";
            this.columnHeader2.Width = 22;
            // 
            // columnHeader3
            // 
            this.columnHeader3.Text = "Description";
            this.columnHeader3.Width = 1000;
            // 
            // barItem6
            // 
            this.barItem6.CategoryIndex = -1;
            this.barItem6.ID = "";
            // 
            // barItem9
            // 
            this.barItem9.CategoryIndex = -1;
            this.barItem9.ID = "";
            // 
            // barItem10
            // 
            this.barItem10.CategoryIndex = -1;
            this.barItem10.ID = "";
            // 
            // barItem11
            // 
            this.barItem11.CategoryIndex = -1;
            this.barItem11.ID = "";
            // 
            // barItem12
            // 
            this.barItem12.CategoryIndex = -1;
            this.barItem12.ID = "";
            // 
            // popupMenu1
            // 
            this.popupMenu1.ParentBarItem = this.parentBarItem1;
            // 
            // parentBarItem1
            // 
            this.parentBarItem1.CategoryIndex = -1;
            this.parentBarItem1.ID = "";
            this.parentBarItem1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItem25,
            this.barItem26,
            this.barItem27,
            this.barItem28});
            this.parentBarItem1.SeparatorIndices.AddRange(new int[] {
            2});
            // 
            // barItem25
            // 
            this.barItem25.CategoryIndex = -1;
            this.barItem25.ID = "&Open";
            this.barItem25.Text = "&Open";
            // 
            // barItem26
            // 
            this.barItem26.CategoryIndex = -1;
            this.barItem26.ID = "Open With...";
            this.barItem26.Text = "Ope&n With...";
            // 
            // barItem27
            // 
            this.barItem27.CategoryIndex = -1;
            this.barItem27.ID = "View Code";
            this.barItem27.Text = "View &Code";
            // 
            // barItem28
            // 
            this.barItem28.CategoryIndex = -1;
            this.barItem28.ID = "View Designer";
            this.barItem28.Text = "View &Designer";
            // 
            // VSMainForm
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(816, 613);
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.IsMdiContainer = true;
            this.Menu = this.mainMenu1;
            this.Name = "VSMainForm";
            this.Text = "VS.NET Demo";
            this.WindowState = System.Windows.Forms.FormWindowState.Maximized;
            this.MdiChildActivate += new System.EventHandler(this.VSMainForm_MdiActivate);
            this.Load += new System.EventHandler(this.VSMainForm_Load);
            ((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.dockingManager1)).EndInit();
            this.dwSolution.ResumeLayout(false);
            this.pnlSolnToolbar.ResumeLayout(false);
            this.dwOutput.ResumeLayout(false);
            this.dwOutput.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.dwToolbox)).EndInit();
            this.dwToolbox.ResumeLayout(false);
            this.dwClassView.ResumeLayout(false);
            this.pnlClassViewToolbar.ResumeLayout(false);
            this.dwObjectBrowser.ResumeLayout(false);
            this.pnlObjBrowserMain.ResumeLayout(false);
            this.pnlMembers.ResumeLayout(false);
            this.pnlObjects.ResumeLayout(false);
            this.pnlObjBrowserToolbar.ResumeLayout(false);
            this.dwProperties.ResumeLayout(false);
            this.pnlPropToolbar.ResumeLayout(false);
            this.dwTaskList.ResumeLayout(false);
            this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			bool bRunning = false;
			foreach ( Process p in Process.GetProcesses(System.Environment.MachineName) )
			{
				if( p.MainWindowHandle != IntPtr.Zero)
				{
					if(p.ProcessName == "VSDemo")
					{
						bRunning = true;
						MessageBox.Show("Activating the already open instance of VSDemo.exe.");
						SetForegroundWindow(p.MainWindowHandle);
						break;
					}
				}
			}
			if(!bRunning)
			{
				Application.Run(new VSMainForm());
			}
		}

		#region APP_LOGIC
		private void VSMainForm_Load(object sender, System.EventArgs e)
		{
			// Turn on MDI Tabbed Documents mode.
			this.TabbedMDIOn = true;

			object o = null;
			sp = new HTMLUIForm();
			sp.Text = "Start Page";
			sp.MdiParent = this;
			sp.Show();

			sp.axWebBrowser1.Navigate("http://www.syncfusion.com",ref o,ref o,ref o,ref o);

			// Disabled Temporarily
			this.windowCascade.Enabled = false;
			this.windowCascade.Text = "Cascade (Disabled Temporarily)";
		}

		private void VSMainForm_MdiActivate(object sender, System.EventArgs e)
		{
			//if(this.ActiveMdiChild == sp)
			//	sp.RefreshMRU(sender,e);
			this.MdiChildActivated_FullScreenUpdate(sender, e);
		}
		DemoCommon.AboutForm aboutForm = null;
		private void barItem5_Click(object sender, System.EventArgs e)
		{
			aboutForm = new DemoCommon.AboutForm(AppDomain.CurrentDomain.GetAssemblies());
			aboutForm.ShowDialog();
		}
		#endregion APP_LOGIC

		#region FILE_OPEN_CLOSE_LOGIC
		private int csDocCount = 0 ;
		private void newCSFileItem_Click(object sender, System.EventArgs e)
		{
			this.newParentItem.Tag = this.newCSFileItem;
			csDocCount++ ;
			EditorBase csForm = new EditorBase(String.Empty, EditorType.CS);
			csForm.Text = "C# File " + csDocCount;
			this.editorsManager.AddNewDocument(csForm);
		}
		private int vbDocCount = 0 ;
		private void newVBFile_Click(object sender, System.EventArgs e)
		{
			this.newParentItem.Tag = this.newVBFile;
			vbDocCount++ ;
			EditorBase vbForm = new EditorBase(String.Empty, EditorType.VB);
			vbForm.Text = "VB File " + vbDocCount;
			this.editorsManager.AddNewDocument(vbForm);
		}
		private int imageDocCount = 0 ;
		private void newImageFileItem_Click(object sender, System.EventArgs e)
		{
			MessageBox.Show("This version of VSDemo does not support Creating a New Image Editor, you can however Open an exisiting Image File from the Open menu.", "VSDemo Notification");
			return;

			this.newParentItem.Tag = this.newImageFileItem;
			imageDocCount++ ;
			ImageEditorForm imageForm = new ImageEditorForm(String.Empty);
			imageForm.Text = "Image File " + imageDocCount;
			this.editorsManager.AddNewDocument(imageForm);
		}
		private void newParentItem_Click(object sender, System.EventArgs e)
		{
			BarItem latestClickedItem = newParentItem.Tag as BarItem;
			latestClickedItem.PerformClick();
		}
		private void saveItem_Click(object sender, EventArgs e)
		{
			IEditor childEditor = this.ActiveMdiChild as IEditor;
			if(childEditor != null)
				((IEditorMainFrame)this).SaveFile(childEditor);
		}

		bool IEditorMainFrame.SaveFile(IEditor childEditor)
		{
			if(childEditor != null && this.editorsManager.IsNewFile(childEditor as Form))
			{
				string fileName = this.editorsManager.GetNewFileNameForForm(childEditor as Form,
					((EditorBase)childEditor).EditorType == EditorType.CS ? 1 : 2);

				if(fileName == String.Empty)
					return false;

				childEditor.FileName = fileName;
				childEditor.Save();
			}
			else
				childEditor.Save();

			return true;
		}

		private void closeAllItem_Click(object sender, System.EventArgs e)
		{
			// Get the mdi children list from the TabbedMDIManager rather than the Main Form.
			Form[] children = this.tabbedMDIManager.MdiChildren;
			foreach(Form child in children)
				child.Close();
		}
		Form IEditorMainFrame.CreateDocumentFromFileName(string filename)
		{
			if(filename.IndexOf(".cs") != -1)
			{
				// Text file opened
				EditorBase csEditor = new EditorBase(filename, EditorType.CS);
				return csEditor;
			}
			else if(filename.IndexOf(".vb") != -1)
			{
				EditorBase vbEditor = new EditorBase(filename, EditorType.VB);
				return vbEditor;
			}
			else if(filename.IndexOf(".bmp") != -1
				|| filename.IndexOf(".gif") != -1
				|| filename.IndexOf(".jpg") != -1
				|| filename.IndexOf(".ico") != -1)
			{
				ImageEditorForm imageEditor = new ImageEditorForm(filename);
				return imageEditor;
			}
			return null;
		}

		private void closeItem_Click(object sender, EventArgs e)
		{
			Form form = this.ActiveMdiChild;

			if(form != null)
				form.Close();
		}
		#endregion FILE_OPEN_CLOSE_LOGIC

		#region TABBED_MDI_LOGIC
		private bool TabbedMDIOn
		{
			get	{	return this.tabWindowsOn;	}
			set
			{
				if(this.tabWindowsOn != value)
				{
					this.tabWindowsOn = value;

					if(this.tabWindowsOn)
						this.tabbedMDIManager.AttachToMdiContainer(this);
					else
						this.tabbedMDIManager.DetachFromMdiContainer(this, true);// true to invoke Cascade layout after detaching
				}
			}
		}

		private void windowCascade_Click(object sender, System.EventArgs e)
		{
			this.TabbedMDIOn = false;
		}

		private void windowTabbedMDI_Click(object sender, System.EventArgs e)
		{
			this.TabbedMDIOn = true;
		}

		private void windowItem_Popup(object sender, System.EventArgs e)
		{
			this.windowCascade.Checked = !this.TabbedMDIOn;
			this.windowTabbedMDI.Checked = this.TabbedMDIOn;
			this.moveNextTabGroupItem.Visible = this.tabbedMDIManager.CanMoveToNextTabGroup();
			this.movePrevTabGroupItem.Visible = this.tabbedMDIManager.CanMoveToPreviousTabGroup();
			this.newHorzGroupItem.Visible = this.tabbedMDIManager.CanCreateNewHorizontalGroup();
			this.newVertTabGroup.Visible = this.tabbedMDIManager.CanCreateNewVerticalGroup();
		}

		private void newHorzGroupItem_Click(object sender, System.EventArgs e)
		{
			this.tabbedMDIManager.CreateNewHorizontalGroup();
		}

		private void newVertTabGroup_Click(object sender, System.EventArgs e)
		{
			this.tabbedMDIManager.CreateNewVerticalGroup();
		}
		
		private void movePrevTabGroupItem_Click(object sender, System.EventArgs e)
		{
			this.tabbedMDIManager.MoveToPreviousTabGroup();
		}
		
		private void moveNextTabGroupItem_Click(object sender, System.EventArgs e)
		{
			this.tabbedMDIManager.MoveToNextTabGroup();
		}
		#endregion TABBED_MDI_LOGIC

		#region XPMENUS_LOGIC
		private void customizeItem_Click(object sender, System.EventArgs e)
		{
			this.BarManager.Customize(true);
		}
		#endregion XPMENUS_LOGIC

		#region DOCKING_LOGIC
		
		private void dwToolbox_ShowContextMenu(object sender, System.EventArgs e)
		{
			Control ctrlmenuowner = null;
			Syncfusion.Windows.Forms.Tools.XPMenus.PopupMenu menu = new Syncfusion.Windows.Forms.Tools.XPMenus.PopupMenu();
			menu.ParentBarItem = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
			if(sender.GetType() == typeof(Syncfusion.Windows.Forms.Tools.GroupBar))
			{
				// The ShowContextMenu event was fired by the GroupBar. Populate the context 
				// menu with items appropriate to the GroupBar
				Syncfusion.Windows.Forms.Tools.GroupBar grpbar = sender as GroupBar;

				BarItem addtab = new BarItem("Add New Tab", new EventHandler(this.OngbVSMenuAddNewTab));
				addtab.Tag = grpbar;
				menu.ParentBarItem.Items.Add(addtab);

				BarItem deletetab = new BarItem("Delete Tab", new EventHandler(this.OngbMenuRemoveGroup));
				deletetab.Tag = grpbar;
				menu.ParentBarItem.Items.Add(deletetab);

				BarItem renametab = new BarItem("Rename Tab", new EventHandler(this.OngbMenuRenameGroup));
				renametab.Tag = grpbar;
				menu.ParentBarItem.Items.Add(renametab);

				// Get the GroupView that is the client of the GroupBarItem for which the 
				// contextmenu is being displayed.
				GroupView grpvwctrl = null;
				if(grpbar.ContextMenuItem != -1)
					grpvwctrl = grpbar.GroupBarItems[grpbar.ContextMenuItem].Client as GroupView;

				BarItem listviewitem = new BarItem("List View", new EventHandler(this.OngbVSMenuListView));
				if(grpvwctrl != null)
				{
					if(grpvwctrl.FlowView == false)
						listviewitem.Checked = true;
					else
						listviewitem.Checked = false;
				}
				else
				{
					listviewitem.Enabled = false;
				}
				// Set the GroupView as the menu tag so that we can use the GroupView's 
				// context menu handler. It is also possible to use the GroupBar as the tab and 
				// get to the GroupView from within the handler.
				listviewitem.Tag = grpvwctrl;
				menu.ParentBarItem.Items.Add(listviewitem);		

				BarItem moveupitem = new BarItem("Move &Up", new EventHandler(this.OngbVSMenuMoveUpDown));
				moveupitem.Tag = grpvwctrl;
				menu.ParentBarItem.Items.Add(moveupitem);
				moveupitem.Enabled = false;

				BarItem movedownitem = new BarItem("Move &Down", new EventHandler(this.OngbVSMenuMoveUpDown));
				movedownitem.Tag = grpvwctrl;
				menu.ParentBarItem.Items.Add(movedownitem);
				moveupitem.Enabled = false;

				menu.ParentBarItem.BeginGroupAt(listviewitem);
				menu.ParentBarItem.BeginGroupAt(moveupitem);

				ctrlmenuowner = grpbar;
			}
			else
			{
				// The ShowContextMenu event was fired by a GroupView in the VS ToolBox 
				// GroupBar. Populate the context menu with items appropriate to a GroupView

				Syncfusion.Windows.Forms.Tools.GroupView grpvwctrl = sender as GroupView;

				BarItem additem = new BarItem("Add New Item", new EventHandler(this.OngbMenuAddNewItem));
				additem.Tag = grpvwctrl;
				menu.ParentBarItem.Items.Add(additem);

				BarItem removeitem = new BarItem("Remove Item", new EventHandler(this.OngbMenuRemoveItem));
				removeitem.ImageList = this.dockingImageList;
				removeitem.ImageIndex = 59;
				removeitem.Tag = grpvwctrl;
				menu.ParentBarItem.Items.Add(removeitem);

				BarItem renameitem = new BarItem("Rename Item", new EventHandler(this.OngbMenuRenameItem));
				renameitem.Tag = grpvwctrl;
				menu.ParentBarItem.Items.Add(renameitem);

				BarItem listviewitem = new BarItem("List View", new EventHandler(this.OngbVSMenuListView));
				if(grpvwctrl.FlowView == false)
					listviewitem.Checked = true;
				else
					listviewitem.Checked = false;
				listviewitem.Tag = grpvwctrl;
				menu.ParentBarItem.Items.Add(listviewitem);

				BarItem moveupitem = new BarItem("Move &Up", new EventHandler(this.OngbVSMenuMoveUpDown));
				moveupitem.Tag = grpvwctrl;
				menu.ParentBarItem.Items.Add(moveupitem);
				if(grpvwctrl.SelectedItem <= 0)
					moveupitem.Enabled = false;

				BarItem movedownitem = new BarItem("Move &Down", new EventHandler(this.OngbVSMenuMoveUpDown));
				movedownitem.Tag = grpvwctrl;
				menu.ParentBarItem.Items.Add(movedownitem);
				if(grpvwctrl.SelectedItem >= grpvwctrl.GroupViewItems.Count-1)
					movedownitem.Enabled = false;

				if(grpvwctrl.HighlightedItem == -1)
				{
					removeitem.Enabled = false;
					renameitem.Enabled = false;
				}
				menu.ParentBarItem.BeginGroupAt(listviewitem);
				menu.ParentBarItem.BeginGroupAt(moveupitem);

				ctrlmenuowner = grpvwctrl;			
			}			
			menu.Show(ctrlmenuowner, ctrlmenuowner.PointToClient(Cursor.Position));
		}
		
		public void OngbMenuAddNewItem(object sender, EventArgs e)
		{
			BarItem item = sender as BarItem;
			Syncfusion.Windows.Forms.Tools.GroupView	grpvwctrl = item.Tag as GroupView;
			if(grpvwctrl != null)
			{
				Syncfusion.Windows.Forms.Tools.GroupViewItem grpvwitem = new Syncfusion.Windows.Forms.Tools.GroupViewItem();
				grpvwitem.Text = "New Item";
				grpvwitem.ImageIndex = 60;
				grpvwctrl.GroupViewItems.Add(grpvwitem);
			}			
		}

		public void OngbMenuRemoveItem(object sender, EventArgs e)
		{
			BarItem item = sender as BarItem;
			Syncfusion.Windows.Forms.Tools.GroupView grpvwctrl = item.Tag as GroupView;
			if(grpvwctrl != null)
			{
				int nitem = grpvwctrl.ContextMenuItem;
				if((nitem >= 0) && (nitem < grpvwctrl.GroupViewItems.Count))
				{
					Syncfusion.Windows.Forms.Tools.GroupViewItem grpvwitem = grpvwctrl.GroupViewItems[nitem];
					grpvwctrl.GroupViewItems.Remove(grpvwitem);
				}
			}
		}

		public void OngbMenuRenameItem(object sender, EventArgs e)
		{
			BarItem item = sender as BarItem;
			Syncfusion.Windows.Forms.Tools.GroupView grpvwctrl = item.Tag as GroupView;
			if(grpvwctrl != null)
			{
				int nitem = grpvwctrl.ContextMenuItem;
				if((nitem >= 0) && (nitem < grpvwctrl.GroupViewItems.Count))
					grpvwctrl.InplaceRenameItem(nitem);
			}
		}
		
		public void OngbVSMenuListView(object sender, EventArgs e)
		{
			BarItem item = sender as BarItem;
			if(item.Tag is Control)
			{
				GroupView ctrl = item.Tag as GroupView;
				if(item.Checked == false)
				{
					ctrl.FlowView = false;
					ctrl.HighlightText = true;

					ctrl.ImageSpacing = 2;
					ctrl.ItemXSpacing = 8;
					ctrl.ItemYSpacing = 1;
				}
				else
				{
					ctrl.FlowView = true;
					ctrl.HighlightText = false;

					ctrl.ImageSpacing = 5;
					ctrl.ItemXSpacing = 0;
					ctrl.ItemYSpacing = 0;
				}
			}
		}

		public void OngbVSMenuMoveUpDown(object sender, EventArgs e)
		{
			BarItem item = sender as BarItem;
			if(item.Tag is Control)
			{
				GroupView ctrl = item.Tag as GroupView;
				if(item.Text == "Move &Up")
					ctrl.SelectedItem = ctrl.SelectedItem-1;
				else
					ctrl.SelectedItem = ctrl.SelectedItem+1;			
			}
		}

		public void OngbVSMenuAddNewTab(object sender, EventArgs e)
		{
			// Create a new GroupView
			GroupView gvctrl = new Syncfusion.Windows.Forms.Tools.GroupView();

			// Set the GroupView attributes
			gvctrl.BackColor = System.Drawing.SystemColors.Control;
			gvctrl.ForeColor = System.Drawing.SystemColors.ControlText;
			gvctrl.ButtonView = true;
			gvctrl.IntegratedScrolling = true;
			gvctrl.Name = String.Concat("VSGVCCtrl", this.dwToolbox.GroupBarItems.Count.ToString());
			gvctrl.SelectedItem = 0;
			gvctrl.SmallImageView = true;
			gvctrl.LargeImageList = this.largeImageList;			
			gvctrl.SmallImageList = this.dockingImageList;
			gvctrl.ShowContextMenu += new System.EventHandler(this.dwToolbox_ShowContextMenu);

			// Create a new GroupViewItem and add it to the GroupView
			GroupViewItem gvipointer = new GroupViewItem();
			gvipointer.Text = "Pointer";
			gvipointer.ImageIndex = 9;
			gvctrl.GroupViewItems.Add(gvipointer);

			// Create a new GroupBarItem with the new GroupView as the client
			Syncfusion.Windows.Forms.Tools.GroupBarItem grpbaritem = new Syncfusion.Windows.Forms.Tools.GroupBarItem();
			grpbaritem.ClientBorderColors = new Syncfusion.Windows.Forms.Tools.BorderColors(System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control, System.Drawing.SystemColors.Control);
			grpbaritem.Client = gvctrl;
			grpbaritem.Text = String.Empty;
			this.dwToolbox.GroupBarItems.Add(grpbaritem);

			// Add the GroupBarItem to the GroupBar's collection.
			this.dwToolbox.InplaceRenameItem(this.dwToolbox.GroupBarItems.Count-1);		
		}

		public void OngbMenuRemoveGroup(object sender, EventArgs e)
		{
			BarItem item = sender as BarItem;
			Syncfusion.Windows.Forms.Tools.GroupBar	grpbar = item.Tag as GroupBar;
			if(grpbar != null)
			{
				int nitem = grpbar.ContextMenuItem;
				if((nitem >= 0) && (nitem < grpbar.GroupBarItems.Count))
				{
					Syncfusion.Windows.Forms.Tools.GroupBarItem grpbaritem = grpbar.GroupBarItems[nitem];
					grpbar.GroupBarItems.Remove(grpbaritem);
				}
			}
		}

		public void OngbMenuRenameGroup(object sender, EventArgs e)
		{
			BarItem item = sender as BarItem;
			Syncfusion.Windows.Forms.Tools.GroupBar	grpbar = item.Tag as GroupBar;
			if(grpbar != null)
			{
				int nitem = grpbar.ContextMenuItem;
				if((nitem >= 0) && (nitem < grpbar.GroupBarItems.Count))
					grpbar.InplaceRenameItem(nitem);
			}
		}

		private void parentBarItem5_Click(object sender, System.EventArgs e)
		{
			BarItem item = sender as BarItem;
			Control ctrl = null;
			switch(item.Text)
			{
				case "Toolbox":
					ctrl = this.dwToolbox;
					break;
				case "Class View":
					ctrl = this.dwClassView;
					break;
				case "Object Browser":
					ctrl = this.dwObjectBrowser;
					break;
				case "Solution Explorer":
					ctrl = this.dwSolution;
					break;
				case "Properties":
					ctrl = this.dwProperties;
					break;
				case "Find Results &1":
					ctrl = this.dwFindResults1;
					break;
				case "Find Results &2":
					ctrl = this.dwFindResults2;
					break;
				case "Error List":
					ctrl = this.dwTaskList;
					break;
				case "Output":
					ctrl = this.dwOutput;
					break;
			}
			if(ctrl != null)
			{
				if(this.dockingManager1.GetDockVisibility(ctrl) == false)
					this.dockingManager1.SetDockVisibility(ctrl, true);
			}
		}
		

		#endregion DOCKING_LOGIC

		#region DLL Imports
		[DllImport("user32.dll", CharSet=CharSet.Auto)]
		extern public static bool SetForegroundWindow(IntPtr hwnd);
		#endregion

		#region FULLSCREEN_SUPPORT

		Hashtable visibilityControls = new Hashtable();
		private void fullScreenBarItem_Click(object sender, System.EventArgs e)
		{
			this.fullScreenBarItem.Checked = !this.fullScreenBarItem.Checked;
			if (fullScreenBarItem.Checked)
			{
				if(this.WindowState != FormWindowState.Maximized)
					this.WindowState = FormWindowState.Maximized;

				this.FormBorderStyle = FormBorderStyle.None;

				// Docking...
				IEnumerator controls = dockingManager1.Controls;
				visibilityControls.Clear();
				// Cache the visibility state for reapplication, later and hide the autohide tabstrips
				while(controls.MoveNext())
				{
					Control c = (Control)controls.Current;
					if(this.dockingManager1.GetAutoHideMode(c) == false)
					{
						visibilityControls.Add(c, this.dockingManager1.GetDockVisibility(c));
						this.dockingManager1.SetDockVisibility(c, false);
					}
				}
				foreach(Control ctrl in this.Controls)
				{
					if(ctrl is Syncfusion.Windows.Forms.Tools.AHTabControl)
					{
						Syncfusion.Windows.Forms.Tools.AHTabControl ahtabctrl = ctrl as Syncfusion.Windows.Forms.Tools.AHTabControl;
						if(ahtabctrl.TabCount > 0)							
						{
							if((ahtabctrl.Alignment == TabAlignment.Left) || (ahtabctrl.Alignment == TabAlignment.Right))
								ahtabctrl.Width = 0;
							else
								ahtabctrl.Height = 0;
							ahtabctrl.Visible = false;
						}
					}
				}
				

				// Menus...
				this.UpdateBarVisibilityInForm(this, false);
				this.mainFrameBarManager1.GetBarControl(this.fullScreenBar).DisableDocking = true;
				// Use this approach (rather than BarStyle.IsVisible) to override any user set visibility preferences.
				this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.fullScreenBar, true); 

				// Parse the mdi children
				// When using tabbedMDIManager use that to get the MdiChildren list; else use the MdiParent's MdiChildren property.
				Form[] mdiChildren = this.tabbedMDIManager.MdiChildren;
				foreach(Form mdiChild in mdiChildren)
				{
					this.UpdateBarVisibilityInForm(mdiChild, false);	
				}
			}
			else
			{		
				this.FormBorderStyle = FormBorderStyle.Sizable;

				// Docking...
				foreach(Control ctrl in this.Controls)
				{
					if(ctrl is Syncfusion.Windows.Forms.Tools.AHTabControl)
					{						
						Syncfusion.Windows.Forms.Tools.AHTabControl ahtabctrl = ctrl as Syncfusion.Windows.Forms.Tools.AHTabControl;
						if(ahtabctrl.TabCount > 0)
						{
							if((ahtabctrl.Alignment == TabAlignment.Left) || (ahtabctrl.Alignment == TabAlignment.Right))
								ahtabctrl.Width = 22;
							else
								ahtabctrl.Height = 22;
							ahtabctrl.Visible = true;
						}
					}
				}
				foreach(Control c in visibilityControls.Keys)
					this.dockingManager1.SetDockVisibility(c, (bool)visibilityControls[c]);

				// Menus...
				this.UpdateBarVisibilityInForm(this, true);
				Form[] mdiChildren = this.tabbedMDIManager.MdiChildren;
				foreach(Form mdiChild in mdiChildren)
				{
					this.UpdateBarVisibilityInForm(mdiChild, true);	
				}

				this.mainFrameBarManager1.GetBarControl(this.fullScreenBar).DisableDocking = false;
				this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.fullScreenBar, false); 
			}
		}
		private void MdiChildActivated_FullScreenUpdate(object sender, EventArgs e)
		{
			// Is FullScreen
			if(this.ActiveMdiChild != null && this.FormBorderStyle == FormBorderStyle.None)
			{
				this.UpdateBarVisibilityInForm(this.ActiveMdiChild, false);
			}
		}
		private void UpdateBarVisibilityInForm(Form form, bool show)
		{
			BarManager manager = BarManager.GetManagerFromForm(form);
			if(manager != null)
			{
				foreach (Bar bar in manager.Bars)
				{
					// Leave the main-menu
					if (((bar.BarStyle & BarStyle.IsMainMenu)==BarStyle.IsMainMenu))
						continue;

					this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(bar, show); 
				}
			}
		}
		#endregion FULLSCREEN_SUPPORT

		private void dockingManager1_ProvideGraphicsItems(object sender, Syncfusion.Windows.Forms.Tools.ProvideGraphicsItemsEventArgs arg)
		{
//			if(arg.Control==this.dockingManager1.ActiveControl)
//            
//				arg.CaptionBackground = new LinearGradientBrush(arg.CaptionBounds, ColorTable.CaptionTopColor, ColorTable.CaptionBottomColor, 
//
//					LinearGradientMode.Vertical);
//			else
//				arg.CaptionBackground = new LinearGradientBrush(arg.CaptionBounds, Office2003Colors.DockBarColorDark, Office2003Colors.DockBarColorLight, 
//
//					LinearGradientMode.Horizontal);
//            
//			arg.CaptionForeground = Color.Black;
//			arg.CaptionFont = new Font("Arial", 8, FontStyle.Regular); 
		}
		private void dockingManager1_DockStateChangedEvent(object sender, Syncfusion.Windows.Forms.Tools.DockStateChangeEventArgs args)
		{
			
            //foreach(Control ctrl in args.Controls)
            //{
            //    Syncfusion.Windows.Forms.Tools.DockHost dhost = ctrl.Parent as Syncfusion.Windows.Forms.Tools.DockHost; 
            //    if(dhost != null)
            //    {

            //        Syncfusion.Windows.Forms.Tools.DockHostController dhc = dhost.InternalController as Syncfusion.Windows.Forms.Tools.DockHostController;

            //        if(dhc.ParentController is Syncfusion.Windows.Forms.Tools.DockTabController)
            //        {
            //            Syncfusion.Windows.Forms.Tools.DockTabControl docktab = (dhc.ParentController as Syncfusion.Windows.Forms.Tools.DockTabController).TabControl; 
            //            docktab.TabStyle = typeof(Syncfusion.Windows.Forms.Tools.TabRendererWhidbey);
            //        }
            //    }

            //}


		}

		private void tabbedMDIManager_TabControlAdded(object sender, TabbedMDITabControlEventArgs args)
		{
			args.TabControl.TabStyle=typeof(TabRendererWhidbey);
			args.TabControl.TabGap=7;
		}

		private void dockingManager1_NewDockStateEndLoad(object sender, System.EventArgs e)
		{
			
		}
		
		private void dwToolbox_ProvideGroupBarItemBrush(object sender, ProvideGroupBarItemBrushEventArgs args)
		{
			System.Drawing.Drawing2D.Blend blend = new System.Drawing.Drawing2D.Blend();
			blend.Factors = new float[] { 0.0f, 0.0f, 1.0f };
			blend.Positions = new float[] { 0.0F, 0.5f, 1.0F };
			// Estimate the GroupBarItem bounds
			System.Drawing.Rectangle rcgroupbaritem = args.Bounds;
			// Create and initialize the LinearGradientBrush
			System.Drawing.Drawing2D.LinearGradientBrush lgbrush = new System.Drawing.Drawing2D.LinearGradientBrush(rcgroupbaritem, Color.WhiteSmoke, SystemColors.Control, 90, true);
			lgbrush.Blend = blend;
			args.BackgroundBrush = lgbrush;
		}
	}
}
