#region Copyright Syncfusion Inc. 2001 - 2006
//
//  Copyright Syncfusion Inc. 2001 - 2006. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.ComponentModel;
using System.Security;
using System.Runtime.InteropServices;

namespace VSDemo
{
	[ComVisible(false)] 
	class NativeMethods 
	{
        
        
		// class: System.Design.NativeMethods+HTMLDocument, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			ComImport, 
			ComVisible(true), 
			Guid(@"25336920-03F9-11CF-8FD0-00AA00686F13")
			]
			public class HTMLDocument 
		{
		} // end of class System.Design.NativeMethods+HTMLDocument
		// class: System.Design.NativeMethods+IHTMLDocument, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			Guid(@"626FC520-A41E-11CF-A731-00A0C9082637"), 
			ComVisible(true), 
			InterfaceType(ComInterfaceType.InterfaceIsDual)
			]
			public interface IHTMLDocument 
		{
            
			// Methods
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetScript(); 
		} // end of class System.Design.NativeMethods+IHTMLDocument
		// class: System.Design.NativeMethods+IHTMLDocument2, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			InterfaceType(ComInterfaceType.InterfaceIsDual), 
			ComVisible(true), 
			Guid(@"332C4425-26CB-11D0-B483-00C04FD90119")
			]
			public interface IHTMLDocument2 
		{
            
			// Methods
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetScript(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElementCollection GetAll(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElement GetBody(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElement GetActiveElement(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElementCollection GetImages(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElementCollection GetApplets(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElementCollection GetLinks(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElementCollection GetForms(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElementCollection GetAnchors(); 
            
			void SetTitle([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetTitle(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElementCollection GetScripts(); 
            
			void SetDesignMode([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetDesignMode(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetSelection(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetReadyState(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetFrames(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElementCollection GetEmbeds(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElementCollection GetPlugins(); 
            
			void SetAlinkColor([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetAlinkColor(); 
            
			void SetBgColor([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBgColor(); 
            
			void SetFgColor([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetFgColor(); 
            
			void SetLinkColor([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetLinkColor(); 
            
			void SetVlinkColor([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetVlinkColor(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetReferrer(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetLocation(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetLastModified(); 
            
			void SetURL([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetURL(); 
            
			void SetDomain([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetDomain(); 
            
			void SetCookie([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetCookie(); 
            
			void SetExpando([In,MarshalAs(UnmanagedType.Bool)] bool p); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetExpando(); 
            
			void SetCharset([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetCharset(); 
            
			void SetDefaultCharset([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetDefaultCharset(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetMimeType(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetFileSize(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetFileCreatedDate(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetFileModifiedDate(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetFileUpdatedDate(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetSecurity(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetProtocol(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetNameProp(); 
            
			void DummyWrite([In,MarshalAs(UnmanagedType.I4)] int psarray); 
            
			void DummyWriteln([In,MarshalAs(UnmanagedType.I4)] int psarray); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object Open([In,MarshalAs(UnmanagedType.BStr)] string URL, [In,MarshalAs(UnmanagedType.Struct)] object name, [In,MarshalAs(UnmanagedType.Struct)] object features, [In,MarshalAs(UnmanagedType.Struct)] object replace); 
            
			void Close(); 
            
			void Clear(); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool QueryCommandSupported([In,MarshalAs(UnmanagedType.BStr)] string cmdID); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool QueryCommandEnabled([In,MarshalAs(UnmanagedType.BStr)] string cmdID); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool QueryCommandState([In,MarshalAs(UnmanagedType.BStr)] string cmdID); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool QueryCommandIndeterm([In,MarshalAs(UnmanagedType.BStr)] string cmdID); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string QueryCommandText([In,MarshalAs(UnmanagedType.BStr)] string cmdID); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object QueryCommandValue([In,MarshalAs(UnmanagedType.BStr)] string cmdID); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool ExecCommand([In,MarshalAs(UnmanagedType.BStr)] string cmdID, [In,MarshalAs(UnmanagedType.Bool)] bool showUI, [In,MarshalAs(UnmanagedType.Struct)] object value); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool ExecCommandShowHelp([In,MarshalAs(UnmanagedType.BStr)] string cmdID); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElement CreateElement([In,MarshalAs(UnmanagedType.BStr)] string eTag); 
            
			void SetOnhelp([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnhelp(); 
            
			void SetOnclick([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnclick(); 
            
			void SetOndblclick([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOndblclick(); 
            
			void SetOnkeyup([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnkeyup(); 
            
			void SetOnkeydown([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnkeydown(); 
            
			void SetOnkeypress([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnkeypress(); 
            
			void SetOnmouseup([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnmouseup(); 
            
			void SetOnmousedown([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnmousedown(); 
            
			void SetOnmousemove([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnmousemove(); 
            
			void SetOnmouseout([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnmouseout(); 
            
			void SetOnmouseover([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnmouseover(); 
            
			void SetOnreadystatechange([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnreadystatechange(); 
            
			void SetOnafterupdate([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnafterupdate(); 
            
			void SetOnrowexit([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnrowexit(); 
            
			void SetOnrowenter([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnrowenter(); 
            
			void SetOndragstart([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOndragstart(); 
            
			void SetOnselectstart([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnselectstart(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElement ElementFromPoint([In,MarshalAs(UnmanagedType.I4)] int x, [In,MarshalAs(UnmanagedType.I4)] int y); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetParentWindow(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetStyleSheets(); 
            
			void SetOnbeforeupdate([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnbeforeupdate(); 
            
			void SetOnerrorupdate([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnerrorupdate(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string toString(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLStyleSheet CreateStyleSheet([In,MarshalAs(UnmanagedType.BStr)] string bstrHref, [In,MarshalAs(UnmanagedType.I4)] int lIndex); 
		} // end of class System.Design.NativeMethods+IHTMLDocument2
		// class: System.Design.NativeMethods+IHTMLElement, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			InterfaceType(ComInterfaceType.InterfaceIsDual), 
			Guid(@"3050F1FF-98B5-11CF-BB82-00AA00BDCE0B"), 
			ComVisible(true)
			]
			public interface IHTMLElement 
		{
            
			// Methods
            
			void SetAttribute([In,MarshalAs(UnmanagedType.BStr)] string strAttributeName, [In,MarshalAs(UnmanagedType.Struct)] object AttributeValue, [In,MarshalAs(UnmanagedType.I4)] int lFlags); 
            
			void GetAttribute([In,MarshalAs(UnmanagedType.BStr)] string strAttributeName, [In,MarshalAs(UnmanagedType.I4)] int lFlags, [Out,MarshalAs(UnmanagedType.LPArray)] object[] pvars); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool RemoveAttribute([In,MarshalAs(UnmanagedType.BStr)] string strAttributeName, [In,MarshalAs(UnmanagedType.I4)] int lFlags); 
            
			void SetClassName([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetClassName(); 
            
			void SetId([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetId(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetTagName(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElement GetParentElement(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLStyle GetStyle(); 
            
			void SetOnhelp([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnhelp(); 
            
			void SetOnclick([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnclick(); 
            
			void SetOndblclick([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOndblclick(); 
            
			void SetOnkeydown([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnkeydown(); 
            
			void SetOnkeyup([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnkeyup(); 
            
			void SetOnkeypress([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnkeypress(); 
            
			void SetOnmouseout([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnmouseout(); 
            
			void SetOnmouseover([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnmouseover(); 
            
			void SetOnmousemove([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnmousemove(); 
            
			void SetOnmousedown([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnmousedown(); 
            
			void SetOnmouseup([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnmouseup(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetDocument(); 
            
			void SetTitle([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetTitle(); 
            
			void SetLanguage([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetLanguage(); 
            
			void SetOnselectstart([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnselectstart(); 
            
			void ScrollIntoView([In,MarshalAs(UnmanagedType.Struct)] object varargStart); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool Contains([In,MarshalAs(UnmanagedType.Interface)] IHTMLElement pChild); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetSourceIndex(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetRecordNumber(); 
            
			void SetLang([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetLang(); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetOffsetLeft(); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetOffsetTop(); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetOffsetWidth(); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetOffsetHeight(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElement GetOffsetParent(); 
            
			void SetInnerHTML([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetInnerHTML(); 
            
			void SetInnerText([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetInnerText(); 
            
			void SetOuterHTML([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetOuterHTML(); 
            
			void SetOuterText([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetOuterText(); 
            
			void InsertAdjacentHTML([In,MarshalAs(UnmanagedType.BStr)] string where, [In,MarshalAs(UnmanagedType.BStr)] string html); 
            
			void InsertAdjacentText([In,MarshalAs(UnmanagedType.BStr)] string where, [In,MarshalAs(UnmanagedType.BStr)] string text); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElement GetParentTextEdit(); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetIsTextEdit(); 
            
			void Click(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetFilters(); 
            
			void SetOndragstart([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOndragstart(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string toString(); 
            
			void SetOnbeforeupdate([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnbeforeupdate(); 
            
			void SetOnafterupdate([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnafterupdate(); 
            
			void SetOnerrorupdate([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnerrorupdate(); 
            
			void SetOnrowexit([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnrowexit(); 
            
			void SetOnrowenter([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnrowenter(); 
            
			void SetOndatasetchanged([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOndatasetchanged(); 
            
			void SetOndataavailable([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOndataavailable(); 
            
			void SetOndatasetcomplete([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOndatasetcomplete(); 
            
			void SetOnfilterchange([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnfilterchange(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetChildren(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetAll(); 
		} // end of class System.Design.NativeMethods+IHTMLElement
		// class: System.Design.NativeMethods+IHTMLElement2, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			ComVisible(false), 
			InterfaceType(ComInterfaceType.InterfaceIsDual), 
			Guid(@"3050F434-98B5-11CF-BB82-00AA00BDCE0B")
			]
			public interface IHTMLElement2 
		{
            
			// Methods
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetScopeName(); 
            
			void SetCapture([In,MarshalAs(UnmanagedType.Bool)] bool containerCapture); 
            
			void ReleaseCapture(); 
            
			void SetOnlosecapture([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnlosecapture(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string ComponentFromPoint([In,MarshalAs(UnmanagedType.I4)] int x, [In,MarshalAs(UnmanagedType.I4)] int y); 
            
			void DoScroll([In,MarshalAs(UnmanagedType.Struct)] object component); 
            
			void SetOnscroll([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnscroll(); 
            
			void SetOndrag([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOndrag(); 
            
			void SetOndragend([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOndragend(); 
            
			void SetOndragenter([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOndragenter(); 
            
			void SetOndragover([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOndragover(); 
            
			void SetOndragleave([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOndragleave(); 
            
			void SetOndrop([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOndrop(); 
            
			void SetOnbeforecut([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnbeforecut(); 
            
			void SetOncut([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOncut(); 
            
			void SetOnbeforecopy([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnbeforecopy(); 
            
			void SetOncopy([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOncopy(); 
            
			void SetOnbeforepaste([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnbeforepaste(); 
            
			void SetOnpaste([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnpaste(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLCurrentStyle GetCurrentStyle(); 
            
			void SetOnpropertychange([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnpropertychange(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLRectCollection GetClientRects(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLRect GetBoundingClientRect(); 
            
			void SetExpression([In,MarshalAs(UnmanagedType.BStr)] string propname, [In,MarshalAs(UnmanagedType.BStr)] string expression, [In,MarshalAs(UnmanagedType.BStr)] string language); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetExpression([In,MarshalAs(UnmanagedType.BStr)] object propname); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool RemoveExpression([In,MarshalAs(UnmanagedType.BStr)] string propname); 
            
			void SetTabIndex([In,MarshalAs(UnmanagedType.I2)] short p); 
            
			[return: MarshalAs(UnmanagedType.I2)] 
			short GetTabIndex(); 
            
			void Focus(); 
            
			void SetAccessKey([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetAccessKey(); 
            
			void SetOnblur([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnblur(); 
            
			void SetOnfocus([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnfocus(); 
            
			void SetOnresize([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnresize(); 
            
			void Blur(); 
            
			void AddFilter([In,MarshalAs(UnmanagedType.Interface)] object pUnk); 
            
			void RemoveFilter([In,MarshalAs(UnmanagedType.Interface)] object pUnk); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetClientHeight(); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetClientWidth(); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetClientTop(); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetClientLeft(); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool AttachEvent([In,MarshalAs(UnmanagedType.BStr)] string ev, [In,MarshalAs(UnmanagedType.Interface)] object pdisp); 
            
			void DetachEvent([In,MarshalAs(UnmanagedType.BStr)] string ev, [In,MarshalAs(UnmanagedType.Interface)] object pdisp); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetReadyState(); 
            
			void SetOnreadystatechange([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnreadystatechange(); 
            
			void SetOnrowsdelete([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnrowsdelete(); 
            
			void SetOnrowsinserted([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnrowsinserted(); 
            
			void SetOncellchange([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOncellchange(); 
            
			void SetDir([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetDir(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object CreateControlRange(); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetScrollHeight(); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetScrollWidth(); 
            
			void SetScrollTop([In,MarshalAs(UnmanagedType.I4)] int p); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetScrollTop(); 
            
			void SetScrollLeft([In,MarshalAs(UnmanagedType.I4)] int p); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetScrollLeft(); 
            
			void ClearAttributes(); 
            
			void MergeAttributes([In,MarshalAs(UnmanagedType.Interface)] IHTMLElement mergeThis); 
            
			void SetOncontextmenu([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOncontextmenu(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElement InsertAdjacentElement([In,MarshalAs(UnmanagedType.BStr)] string where, [In,MarshalAs(UnmanagedType.Interface)] IHTMLElement insertedElement); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElement ApplyElement([In,MarshalAs(UnmanagedType.Interface)] IHTMLElement apply, [In,MarshalAs(UnmanagedType.BStr)] string where); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetAdjacentText([In,MarshalAs(UnmanagedType.BStr)] string where); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string ReplaceAdjacentText([In,MarshalAs(UnmanagedType.BStr)] string where, [In,MarshalAs(UnmanagedType.BStr)] string newText); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetCanHaveChildren(); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int AddBehavior([In,MarshalAs(UnmanagedType.BStr)] string bstrUrl, [In] ref object pvarFactory); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool RemoveBehavior([In,MarshalAs(UnmanagedType.I4)] int cookie); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLStyle GetRuntimeStyle(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetBehaviorUrns(); 
            
			void SetTagUrn([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetTagUrn(); 
            
			void SetOnbeforeeditfocus([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnbeforeeditfocus(); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetReadyStateValue(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElementCollection GetElementsByTagName([In,MarshalAs(UnmanagedType.BStr)] string v); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLStyle GetBaseStyle(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLCurrentStyle GetBaseCurrentStyle(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLStyle GetBaseRuntimeStyle(); 
            
			void SetOnmousehover([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnmousehover(); 
            
			void SetOnkeydownpreview([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnkeydownpreview(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetBehavior([In,MarshalAs(UnmanagedType.BStr)] string bstrName, [In,MarshalAs(UnmanagedType.BStr)] string bstrUrn); 
		} // end of class System.Design.NativeMethods+IHTMLElement2
		// class: System.Design.NativeMethods+IHTMLElement3, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			InterfaceType(ComInterfaceType.InterfaceIsDual), 
			ComVisible(true), 
			Guid(@"3050F673-98B5-11CF-BB82-00AA00BDCE0B")
			]
			public interface IHTMLElement3 
		{
            
			// Methods
            
			void MergeAttributes([In,MarshalAs(UnmanagedType.Interface)] IHTMLElement mergeThis, [In,MarshalAs(UnmanagedType.Struct)] object pvarFlags); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetIsMultiLine(); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetCanHaveHTML(); 
            
			void SetOnLayoutComplete([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnLayoutComplete(); 
            
			void SetOnPage([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnPage(); 
            
			void SetInflateBlock([In,MarshalAs(UnmanagedType.Bool)] bool inflate); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetInflateBlock(); 
            
			void SetOnBeforeDeactivate([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnBeforeDeactivate(); 
            
			void SetActive(); 
            
			void SetContentEditable([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetContentEditable(); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetIsContentEditable(); 
            
			void SetHideFocus([In,MarshalAs(UnmanagedType.Bool)] bool v); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetHideFocus(); 
            
			void SetDisabled([In,MarshalAs(UnmanagedType.Bool)] bool v); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetDisabled(); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetIsDisabled(); 
            
			void SetOnMove([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnMove(); 
            
			void SetOnControlSelect([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnControlSelect(); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool FireEvent([In,MarshalAs(UnmanagedType.BStr)] string eventName, [In,MarshalAs(UnmanagedType.Struct)] object eventObject); 
            
			void SetOnResizeStart([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnResizeStart(); 
            
			void SetOnResizeEnd([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnResizeEnd(); 
            
			void SetOnMoveStart([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnMoveStart(); 
            
			void SetOnMoveEnd([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnMoveEnd(); 
            
			void SetOnMouseEnter([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnMouseEnter(); 
            
			void SetOnMouseLeave([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnMouseLeave(); 
            
			void SetOnActivate([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnActivate(); 
            
			void SetOnDeactivate([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnDeactivate(); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool DragDrop(); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetGlyphMode(); 
		} // end of class System.Design.NativeMethods+IHTMLElement3
		// class: System.Design.NativeMethods+IHTMLBodyElement, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			InterfaceType(ComInterfaceType.InterfaceIsDual), 
			ComVisible(true), 
			Guid(@"3050F1D8-98B5-11CF-BB82-00AA00BDCE0B")
			]
			public interface IHTMLBodyElement 
		{
            
			// Methods
            
			void SetBackground([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBackground(); 
            
			void SetBgProperties([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBgProperties(); 
            
			void SetLeftMargin([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetLeftMargin(); 
            
			void SetTopMargin([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetTopMargin(); 
            
			void SetRightMargin([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetRightMargin(); 
            
			void SetBottomMargin([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBottomMargin(); 
            
			void SetNoWrap([In,MarshalAs(UnmanagedType.Bool)] bool p); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetNoWrap(); 
            
			void SetBgColor([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBgColor(); 
            
			void SetText([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetText(); 
            
			void SetLink([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetLink(); 
            
			void SetVLink([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetVLink(); 
            
			void SetALink([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetALink(); 
            
			void SetOnload([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnload(); 
            
			void SetOnunload([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnunload(); 
            
			void SetScroll([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetScroll(); 
            
			void SetOnselect([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnselect(); 
            
			void SetOnbeforeunload([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetOnbeforeunload(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object CreateTextRange(); 
		} // end of class System.Design.NativeMethods+IHTMLBodyElement
		// class: System.Design.NativeMethods+IHTMLStyleSheet, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			ComVisible(true), 
			Guid(@"3050F2E3-98B5-11CF-BB82-00AA00BDCE0B"), 
			InterfaceType(ComInterfaceType.InterfaceIsDual)
			]
			public interface IHTMLStyleSheet 
		{
            
			// Methods
            
			void SetTitle([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetTitle(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLStyleSheet GetParentStyleSheet(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLElement GetOwningElement(); 
            
			void SetDisabled([In,MarshalAs(UnmanagedType.Bool)] bool p); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetDisabled(); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetReadOnly(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetImports(); 
            
			void SetHref([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetHref(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetStyleSheetType(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetId(); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int AddImport([In,MarshalAs(UnmanagedType.BStr)] string bstrURL, [In,MarshalAs(UnmanagedType.I4)] int lIndex); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int AddRule([In,MarshalAs(UnmanagedType.BStr)] string bstrSelector, [In,MarshalAs(UnmanagedType.BStr)] string bstrStyle, [In,MarshalAs(UnmanagedType.I4)] int lIndex); 
            
			void RemoveImport([In,MarshalAs(UnmanagedType.I4)] int lIndex); 
            
			void RemoveRule([In,MarshalAs(UnmanagedType.I4)] int lIndex); 
            
			void SetMedia([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetMedia(); 
            
			void SetCssText([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetCssText(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetRules(); 
		} // end of class System.Design.NativeMethods+IHTMLStyleSheet
		// class: System.Design.NativeMethods+IHTMLStyle, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			ComVisible(true), 
			InterfaceType(ComInterfaceType.InterfaceIsDual), 
			Guid(@"3050F25E-98B5-11CF-BB82-00AA00BDCE0B")
			]
			public interface IHTMLStyle 
		{
            
			// Methods
            
			void SetFontFamily([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetFontFamily(); 
            
			void SetFontStyle([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetFontStyle(); 
            
			void SetFontObject([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetFontObject(); 
            
			void SetFontWeight([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetFontWeight(); 
            
			void SetFontSize([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetFontSize(); 
            
			void SetFont([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetFont(); 
            
			void SetColor([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetColor(); 
            
			void SetBackground([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBackground(); 
            
			void SetBackgroundColor([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBackgroundColor(); 
            
			void SetBackgroundImage([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBackgroundImage(); 
            
			void SetBackgroundRepeat([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBackgroundRepeat(); 
            
			void SetBackgroundAttachment([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBackgroundAttachment(); 
            
			void SetBackgroundPosition([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBackgroundPosition(); 
            
			void SetBackgroundPositionX([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBackgroundPositionX(); 
            
			void SetBackgroundPositionY([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBackgroundPositionY(); 
            
			void SetWordSpacing([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetWordSpacing(); 
            
			void SetLetterSpacing([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetLetterSpacing(); 
            
			void SetTextDecoration([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetTextDecoration(); 
            
			void SetTextDecorationNone([In,MarshalAs(UnmanagedType.Bool)] bool p); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetTextDecorationNone(); 
            
			void SetTextDecorationUnderline([In,MarshalAs(UnmanagedType.Bool)] bool p); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetTextDecorationUnderline(); 
            
			void SetTextDecorationOverline([In,MarshalAs(UnmanagedType.Bool)] bool p); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetTextDecorationOverline(); 
            
			void SetTextDecorationLineThrough([In,MarshalAs(UnmanagedType.Bool)] bool p); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetTextDecorationLineThrough(); 
            
			void SetTextDecorationBlink([In,MarshalAs(UnmanagedType.Bool)] bool p); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool GetTextDecorationBlink(); 
            
			void SetVerticalAlign([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetVerticalAlign(); 
            
			void SetTextTransform([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetTextTransform(); 
            
			void SetTextAlign([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetTextAlign(); 
            
			void SetTextIndent([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetTextIndent(); 
            
			void SetLineHeight([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetLineHeight(); 
            
			void SetMarginTop([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetMarginTop(); 
            
			void SetMarginRight([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetMarginRight(); 
            
			void SetMarginBottom([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetMarginBottom(); 
            
			void SetMarginLeft([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetMarginLeft(); 
            
			void SetMargin([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetMargin(); 
            
			void SetPaddingTop([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetPaddingTop(); 
            
			void SetPaddingRight([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetPaddingRight(); 
            
			void SetPaddingBottom([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetPaddingBottom(); 
            
			void SetPaddingLeft([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetPaddingLeft(); 
            
			void SetPadding([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetPadding(); 
            
			void SetBorder([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorder(); 
            
			void SetBorderTop([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderTop(); 
            
			void SetBorderRight([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderRight(); 
            
			void SetBorderBottom([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderBottom(); 
            
			void SetBorderLeft([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderLeft(); 
            
			void SetBorderColor([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderColor(); 
            
			void SetBorderTopColor([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderTopColor(); 
            
			void SetBorderRightColor([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderRightColor(); 
            
			void SetBorderBottomColor([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderBottomColor(); 
            
			void SetBorderLeftColor([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderLeftColor(); 
            
			void SetBorderWidth([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderWidth(); 
            
			void SetBorderTopWidth([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderTopWidth(); 
            
			void SetBorderRightWidth([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderRightWidth(); 
            
			void SetBorderBottomWidth([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderBottomWidth(); 
            
			void SetBorderLeftWidth([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderLeftWidth(); 
            
			void SetBorderStyle([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderStyle(); 
            
			void SetBorderTopStyle([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderTopStyle(); 
            
			void SetBorderRightStyle([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderRightStyle(); 
            
			void SetBorderBottomStyle([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderBottomStyle(); 
            
			void SetBorderLeftStyle([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderLeftStyle(); 
            
			void SetWidth([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetWidth(); 
            
			void SetHeight([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetHeight(); 
            
			void SetStyleFloat([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetStyleFloat(); 
            
			void SetClear([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetClear(); 
            
			void SetDisplay([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetDisplay(); 
            
			void SetVisibility([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetVisibility(); 
            
			void SetListStyleType([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetListStyleType(); 
            
			void SetListStylePosition([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetListStylePosition(); 
            
			void SetListStyleImage([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetListStyleImage(); 
            
			void SetListStyle([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetListStyle(); 
            
			void SetWhiteSpace([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetWhiteSpace(); 
            
			void SetTop([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetTop(); 
            
			void SetLeft([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetLeft(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetPosition(); 
            
			void SetZIndex([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetZIndex(); 
            
			void SetOverflow([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetOverflow(); 
            
			void SetPageBreakBefore([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetPageBreakBefore(); 
            
			void SetPageBreakAfter([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetPageBreakAfter(); 
            
			void SetCssText([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetCssText(); 
            
			void SetPixelTop([In,MarshalAs(UnmanagedType.I4)] int p); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetPixelTop(); 
            
			void SetPixelLeft([In,MarshalAs(UnmanagedType.I4)] int p); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetPixelLeft(); 
            
			void SetPixelWidth([In,MarshalAs(UnmanagedType.I4)] int p); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetPixelWidth(); 
            
			void SetPixelHeight([In,MarshalAs(UnmanagedType.I4)] int p); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetPixelHeight(); 
            
			void SetPosTop([In,MarshalAs(UnmanagedType.R4)] float p); 
            
			[return: MarshalAs(UnmanagedType.R4)] 
			float GetPosTop(); 
            
			void SetPosLeft([In,MarshalAs(UnmanagedType.R4)] float p); 
            
			[return: MarshalAs(UnmanagedType.R4)] 
			float GetPosLeft(); 
            
			void SetPosWidth([In,MarshalAs(UnmanagedType.R4)] float p); 
            
			[return: MarshalAs(UnmanagedType.R4)] 
			float GetPosWidth(); 
            
			void SetPosHeight([In,MarshalAs(UnmanagedType.R4)] float p); 
            
			[return: MarshalAs(UnmanagedType.R4)] 
			float GetPosHeight(); 
            
			void SetCursor([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetCursor(); 
            
			void SetClip([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetClip(); 
            
			void SetFilter([In,MarshalAs(UnmanagedType.BStr)] string p); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetFilter(); 
            
			void SetAttribute([In,MarshalAs(UnmanagedType.BStr)] string strAttributeName, [In,MarshalAs(UnmanagedType.Struct)] object AttributeValue, [In,MarshalAs(UnmanagedType.I4)] int lFlags); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetAttribute([In,MarshalAs(UnmanagedType.BStr)] string strAttributeName, [In,MarshalAs(UnmanagedType.I4)] int lFlags); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool RemoveAttribute([In,MarshalAs(UnmanagedType.BStr)] string strAttributeName, [In,MarshalAs(UnmanagedType.I4)] int lFlags); 
		} // end of class System.Design.NativeMethods+IHTMLStyle
		// class: System.Design.NativeMethods+IHTMLCurrentStyle, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			ComVisible(true), 
			InterfaceType(ComInterfaceType.InterfaceIsDual), 
			Guid(@"3050F3DB-98B5-11CF-BB82-00AA00BDCE0B")
			]
			public interface IHTMLCurrentStyle 
		{
            
			// Methods
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetPosition(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetStyleFloat(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetColor(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBackgroundColor(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetFontFamily(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetFontStyle(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetFontObject(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetFontWeight(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetFontSize(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBackgroundImage(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBackgroundPositionX(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBackgroundPositionY(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBackgroundRepeat(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderLeftColor(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderTopColor(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderRightColor(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderBottomColor(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderTopStyle(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderRightStyle(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderBottomStyle(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderLeftStyle(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderTopWidth(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderRightWidth(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderBottomWidth(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBorderLeftWidth(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetLeft(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetTop(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetWidth(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetHeight(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetPaddingLeft(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetPaddingTop(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetPaddingRight(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetPaddingBottom(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetTextAlign(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetTextDecoration(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetDisplay(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetVisibility(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetZIndex(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetLetterSpacing(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetLineHeight(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetTextIndent(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetVerticalAlign(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBackgroundAttachment(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetMarginTop(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetMarginRight(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetMarginBottom(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetMarginLeft(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetClear(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetListStyleType(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetListStylePosition(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetListStyleImage(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetClipTop(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetClipRight(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetClipBottom(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetClipLeft(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetOverflow(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetPageBreakBefore(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetPageBreakAfter(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetCursor(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetTableLayout(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBorderCollapse(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetDirection(); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetBehavior(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetAttribute([In,MarshalAs(UnmanagedType.BStr)] string strAttributeName, [In,MarshalAs(UnmanagedType.I4)] int lFlags); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetUnicodeBidi(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetRight(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetBottom(); 
		} // end of class System.Design.NativeMethods+IHTMLCurrentStyle
		// class: System.Design.NativeMethods+IHTMLElementCollection, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			InterfaceType(ComInterfaceType.InterfaceIsDual), 
			ComVisible(true), 
			Guid(@"3050F21F-98B5-11CF-BB82-00AA00BDCE0B")
			]
			public interface IHTMLElementCollection 
		{
            
			// Methods
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string toString(); 
            
			void SetLength([In,MarshalAs(UnmanagedType.I4)] int p); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetLength(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object Get_newEnum(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object Item([In,MarshalAs(UnmanagedType.Struct)] object name, [In,MarshalAs(UnmanagedType.Struct)] object index); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object Tags([In,MarshalAs(UnmanagedType.Struct)] object tagName); 
		} // end of class System.Design.NativeMethods+IHTMLElementCollection
		// class: System.Design.NativeMethods+IHTMLRect, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			ComVisible(true), 
			InterfaceType(ComInterfaceType.InterfaceIsDual), 
			Guid(@"3050F4A3-98B5-11CF-BB82-00AA00BDCE0B")
			]
			public interface IHTMLRect 
		{
            
			// Methods
            
			void SetLeft([In,MarshalAs(UnmanagedType.I4)] int p); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetLeft(); 
            
			void SetTop([In,MarshalAs(UnmanagedType.I4)] int p); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetTop(); 
            
			void SetRight([In,MarshalAs(UnmanagedType.I4)] int p); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetRight(); 
            
			void SetBottom([In,MarshalAs(UnmanagedType.I4)] int p); 
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetBottom(); 
		} // end of class System.Design.NativeMethods+IHTMLRect
		// class: System.Design.NativeMethods+IHTMLRectCollection, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			InterfaceType(ComInterfaceType.InterfaceIsDual), 
			ComVisible(true), 
			Guid(@"3050F4A4-98B5-11CF-BB82-00AA00BDCE0B")
			]
			public interface IHTMLRectCollection 
		{
            
			// Methods
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetLength(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object Get_newEnum(); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object Item([In] ref object pvarIndex); 
		} // end of class System.Design.NativeMethods+IHTMLRectCollection
		// class: System.Design.NativeMethods+IHTMLDOMNode, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		[
			ComVisible(true), 
			InterfaceType(ComInterfaceType.InterfaceIsDual), 
			Guid(@"3050F5DA-98B5-11CF-BB82-00AA00BDCE0B")
			]
			public interface IHTMLDOMNode 
		{
            
			// Methods
            
			[return: MarshalAs(UnmanagedType.I4)] 
			int GetNodeType(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLDOMNode GetParentNode(); 
            
			[return: MarshalAs(UnmanagedType.Bool)] 
			bool HasChildNodes(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetChildNodes(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			object GetAttributes(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLDOMNode InsertBefore([In,MarshalAs(UnmanagedType.Interface)] IHTMLDOMNode newChild, [In,MarshalAs(UnmanagedType.Struct)] object refChild); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLDOMNode RemoveChild([In,MarshalAs(UnmanagedType.Interface)] IHTMLDOMNode oldChild); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLDOMNode ReplaceChild([In,MarshalAs(UnmanagedType.Interface)] IHTMLDOMNode newChild, [In,MarshalAs(UnmanagedType.Interface)] IHTMLDOMNode oldChild); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLDOMNode CloneNode([In,MarshalAs(UnmanagedType.Bool)] bool fDeep); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLDOMNode RemoveNode([In,MarshalAs(UnmanagedType.Bool)] bool fDeep); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLDOMNode SwapNode([In,MarshalAs(UnmanagedType.Interface)] IHTMLDOMNode otherNode); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLDOMNode ReplaceNode([In,MarshalAs(UnmanagedType.Interface)] IHTMLDOMNode replacement); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLDOMNode AppendChild([In,MarshalAs(UnmanagedType.Interface)] IHTMLDOMNode newChild); 
            
			[return: MarshalAs(UnmanagedType.BStr)] 
			string GetNodeName(); 
            
			void SetNodeValue([In,MarshalAs(UnmanagedType.Struct)] object p); 
            
			[return: MarshalAs(UnmanagedType.Struct)] 
			object GetNodeValue(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLDOMNode GetFirstChild(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLDOMNode GetLastChild(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLDOMNode GetPreviousSibling(); 
            
			[return: MarshalAs(UnmanagedType.Interface)] 
			IHTMLDOMNode GetNextSibling(); 
		} // end of class System.Design.NativeMethods+IHTMLDOMNode
		// class: System.Design.NativeMethods+Util, System.Design, Version=1.0.2411.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a
		internal class Util 
		{
            
			// Constructors
			public Util()
			{
				//base();
				return ;
			} // end of method .ctor
            
            
			// Methods
            
			public static int MAKELONG(int low, int high)
			{
				return ((high << 16) | (low & 0xffff/*=~0x0000*/));
			} // end of method MAKELONG
            
            
			public static int MAKELPARAM(int low, int high)
			{
				return ((high << 16) | (low & 0xffff/*=~0x0000*/));
			} // end of method MAKELPARAM
            
            
			public static int HIWORD(int n)
			{
				return ((n >> 16) & 0xffff/*=~0x0000*/);
			} // end of method HIWORD
            
            
			public static int LOWORD(int n)
			{
				return (n & 0xffff/*=~0x0000*/);
			} // end of method LOWORD
            
            
			public static int SignedHIWORD(int n)
			{
				int n0;
				n0 = (int)((short) ((n >> 16) & 0xffff/*=~0x0000*/));
				n0 = (n0 << 16);
				n0 = (n0 >> 16);
				return n0;
			} // end of method SignedHIWORD
            
            
			public static int SignedLOWORD(int n)
			{
				int n0;
				n0 = (int)((short) (n & 0xffff/*=~0x0000*/));
				n0 = (n0 << 16);
				n0 = (n0 >> 16);
				return n0;
			} // end of method SignedLOWORD
            
            
			[DllImport("kernel32.dll", CharSet=CharSet.Auto, CallingConvention=CallingConvention.Winapi)] 
			private static extern int lstrlen(string s); 
            
			[DllImport("user32.dll", CharSet=CharSet.Auto, CallingConvention=CallingConvention.Winapi)] 
			internal static extern int RegisterWindowMessage(string msg); 
		} // end of class System.Design.NativeMethods+Util
	} // end of class System.Design.NativeMethods
} // end of namespace System.Design

